Read This First!

 Top Next

Welcome to DanceMaster!

Up Front

You're going to have to invest a fair amount of work in setting everything up to use (think about how much work getting into mini-disks was), but I think your investment will pay off handsomely. Lots of other folks seem to think so too. Once they start using it, most people seem to find DanceMaster indispensable.

Manual

Since I know darn well that you aren't going to read this whole manual, I've tried to set things up so you can find what you want to know when you need it. I hope I've done that effectively. On the other hand, since I've put a lot of time and effort into this manual, if you write me with a question that is covered here, I will mutter unflattering things about you as I type a curt reply.

Warranty

There is none. DanceMaster is a work in progress and is not guaranteed to work on your computer or in your circumstances. If you choose to use DanceMaster, you must do so entirely at your own risk.

General Tips:

DanceMaster doesn't expect you to close its windows. Most of the main windows don't have a "Close" button because you are expected to just go to whatever screen you want by clicking on the navigation buttons on the left side of the screen. That will open the window you want on top of whatever else is there. It is quicker to just go where you want to be, rather than putting everything else "away" by closing the windows.


Introduction

What it does

 Top Previous Next

DanceMaster Player’s main function is to let you use your portable computer (laptop) instead of mini-disks or records to teach and cue round dances. You don’t need to carry boxes of records or a stack of mini-disks and a notebook of cue cards to a dance because all the music and cues are in the computer. Whenever you select a dance the cues are shown on the screen automatically and the music is ready to play at the touch of a button. No more searching through record boxes or disk indexes for a particular dance – just type part of its name and “Poof” – it is ready to play.

However, the DanceMaster Player (DMP) can do much more than simply replacing conventional equipment.

· It creates a menu of your dances, listed alphabetically, for you to choose from. A couple of keystrokes or mouse clicks will change your menu to show your dances of just one phase and/or rhythm (all your phase IV waltzes, for instance), to make it easy to choose a dance.
· You can pre-program your evening – decide which dances to do in what sequence, and the Player will play them for you in that order. Of course, you can mix dances from your pre-programmed list and from the menu at will. You can even save your dance program on disk and re-load (and re-play) it at a later time.
· You can adjust the playback speed of any given dance and DMP will always play it at that speed from then on (if you want it to).
· You can set and save “bookmarks” in each dance so you can jump to / play / repeat particular segments of the dance for teaching.
· You can make corrections to your cue cards on the fly.
· You can store your dances and move them between computers in the form of Dance Modules.

The Basic Edition of DMP does all this and then some…

But Wait! There's more...


Basic and Advanced

Basic, Advanced and...

I wrote DanceMaster for two reasons:

1. I was tired of carrying boxes of records around. The solution to that problem was either to put the music on mini-disks or try to put it on a laptop computer, and I decided that I would much rather buy a laptop than a mini-disk player.
2. I wanted to see if it could be done.

Once I got into it, I started realizing some of the ways that a laptop could be much more useful than a mini-disk stystem. And other people started expressing an interest in having a copy of the program. I was delighted to share it, but before I could give it to someone else, I had to make it a whole lot easier to set up and maintain.

· I had to write a program to manage the database that DanceMaster depends on, because I couldn't expect other people to maintain a fairly complex relational database in Access, or even own Access, for that matter.
· I had to write manuals (Yuk!) for both programs!
· I had to write an installer to set them up on other people's computers.
· I had to write a maintenance program to update the structure of the database, so I could add more features to the program after people started using it.
· I have to answer questions and help people get past snags - provide Technical Support.
· I have to (for the foreseeable future) add new features and fix bugs.

All of that has turned out to be a LOT more work than writing the program was.

Part of me feels: "Hey, this is a nifty tool, you've had fun and learned a lot by writing it, what the heck. Why not just give it to anyone who wants to use it." Another part of me (the more rational part) counters: "Yes, you've had fun neglecting your job, your family, and all your other responsibilities while writing this, but releasing and supporting it is going to take up even more time. How are you going to justify that?"

I decided to compromise by releasing two versions of it.

Basic Edition

The basic edition is about equivalent to the version that Sandy and I used for the first couple of years, as I developed and debugged it. It includes the ability to play songs, select them by rhythm and/or phase, to change the speed, set bookmarks, create and save playlists... essentially all the current functionality of the "Advanced" version without the remote control, karaoke cue cards, or dance-logging / dance history capability. DanceMaster is a work-in-progress, and the Basic Edition will continue to get bugs fixed and rough points smoothed out, but it won't necessarily get all the new features that are in the pipeline.

I won't require that you pay for the Basic edition of DanceMaster. I would like you to register it, to let me know that you are using it, but you don't have to buy the program to do so. You are, of course, more than welcome to make a donation to the cause, to express your appreciation and encourage the further development of the program. If you do, I'll send you a registration code that will display your name on the program and on printed lists.

Advanced Edition Grad

The Advanced version has all the bells and whistles. It keeps track of what dances you cue and where you cue them, so it can tell you what you have done, where you did it, how often you do it, etc. It keeps track of your place in cue cards as the music plays. It lets you start the music at any point in the dance by clicking that spot in the cue card. It lets you use a remote to control the program from the dance floor. It has a few minor additions as well, such as the Break Timer, and there is a list of other nifty features that I have in the works. These will appear in the Advanced Edition, but probably not in the Basic Edition.

I will request a donation of at least $150 when you order the advanced edition. If you feel that it is worth more than that (and I think you will), you are encouraged to donate what you think it is worth.

NEXT: Caveat Cuer!


Caveat Cuer

A note of caution

As much as I do hate to admit it, computers aren’t infallible. Just as records can scratch and needles can break, mini-disks can jam and remotes can quit working, likewise computers can crash, lock up, or behave in bizarre ways understood only by programmers. And I’m sure that there are still bugs lurking in the DanceMaster programs. So despite the fact that our system has proven very reliable, we still carry a backup (we used to carry a handful of records, now we carry an MP3 player or a spare laptop) in the car, just in case. We recommend that you do the same.

Of course, DANCEMASTER COMES WITH NO GUARANTEES OR WARRANTIES WHATSOEVER. YOUR USE OF THIS PROGRAM MUST BE ENTIRELY AT YOUR OWN RISK.

Still, it is nice to note that as of this writing (8/06), we have been using the computer for teaching and cueing an average of two or three times a week for over seven years. We had to resort to records a few times at the beginning - mostly when we discovered that a dance we wanted to use wasn’t in the computer yet, or was entered wrong, but not at all in the last several years. For a while we carried an MP3 player loaded with about 50 “generic” dances, and a notebook of cue sheets in the car in case of disaster, but now we carry a spare laptop.

Next: What you will need.:


Computer Requirements

Requirements

Of course, DanceMaster Player is most useful on a laptop computer. It is convenient if the laptop has a line-in port, a line-out port, a volume control knob (MUCH more convenient than software-only volume control) and a 9-pin serial port.

Operating system: Windows 95, 98, 2000, ME, XP or NT 4.0 or later.

Screen: Bigger and brighter is better. The minimum resolution required is XGA (1024 x768 pixels). A 14 inch or larger Active Matrix screen is recommended.

The laptop we used for the first few years has a 200MHz Pentium processor and 32Mb of RAM. That works, but is a bit slow. It is nice to have more horsepower (faster CPU, more RAM) than that. You would be hard pressed to find a computer that slow today, outside of a garage sale.

The amount of disk space required will depend on the amount of compression you use on your sound files, and on the size of your record library. In practice, any reasonably new laptop will come with more than enough disk space for DanceMaster, thousands of dances, and lots of other stuff. Don't worry about it.

You will need a word processor for entering your cue cards. Microsoft Word is recommended, but anything that can produce .RTF (Rich Text Format) files should do. DanceMaster Player can also display .DOC (Microsoft Word) files, and cue cards that have been scanned and stored as .BMP (Bitmap) files. The latter two formats have restrictions, though, and are not recommended. In fact, they are supported only as an aid to transitioning to DanceMaster.

You will need a source of music in MP3 format. That usually means using your computer’s sound card and software to record your music, but you can also buy your music in MP3 format over the Internet from some round dance music stores. (See “Preparation: Recording the music”.)

To use Remote Control, you'll need DanceMaster Player Advanced Edition, and you'll also need to buy the model HR12A Palm Pad remote control transmitter (http://www.x10.com/products/x10_hr12a.htm) and the model MR26A RF Receiver (http://www.x10.com/products/x10_mr26a.htm) from X10.com for about $50. If your laptop computer doesn't have a serial port, you'll need a USB to 9-pin serial adapter, or, beter yet, get the CM19A USB receiver for $50 (http://www.x10.com/products/x10_cm19a.htm) (More remote control details here.)

At a dance, in addition to the computer, you will need your microphone, speaker(s) and an amplifier / mixer of some sort. The usual square / round dance turntables work fine, and there are smaller (more portable) amplifier / mixers available from Hilton, Radio Shack, and the sort of audio stores that musicians frequent.

Even better, there are now "multimedia speaker systems" available from several leading manufacturers including Bose, Altec Lansing and Cambridge Soundworks. These speaker systems contain their own amplifiers, are quite compact, are made to plug into your PC, and can produce a LOT of sound (some of them are rated at over 120 watts). One of these, plus a small mixer and your laptop, makes a very portable rig for cueing.

Next: With or without DanceMaster Database:


With or Without Record Librarian

With or without DanceMaster Record Librarian

In order to play your dances, DMP needs to know certain things about them. It uses a database file on your computer to keep track of the information about each dance, including what sound file and cue card file to use.

The best way to get that information into the computer is to use the DanceMaster Record Librarian program, which keeps track of your records, what songs are on each record, and what dances go with each song. It helps you avoid buying yet another duplicate record to get the dance on the flip side, and tells you which box / shelf / pile a particular record is in. It will print a “Jacket” for each record (with the cues on it), as well as a variety of reports, lists and dance “menus” (even “request lists”). (See The DanceMaster Family)

However, in case you really don’t care about records, only dances, and don’t want to get involved with the Record Librarian, DMP includes a “mini-database” that will let you enter enough information to use the Player. If you later decide to use the Record Librarian, you can add the song and record information at that time.

The advantage of using the mini-database is that you don’t have to enter as much information. (Entering a large record collection into the Librarian is a LOT of work.) The disadvantage is that you don’t get as much out of it – no reports of dances, flip sides, manufacturers (what record is Bye Bye Blues on?) or request menus for dancers.

Next: About registration and stepping up...


Registering the Basic Edition. getting the Advanced Edition

Registering DanceMaster Player

You can use the Basic Edition of the Player for as long as you want without paying for it. After a couple of months, it will start nagging you to register it, but you can do that without sending me any money. It would be very nice if you did send money, but it isn't required. (BUT - see "Registering Pacemaker", below.)

The main reasons that I want you to register it are:

1. I'd like to know who is using it, (the more people who use it, the more pleased I am) and
2. I'd like to make sure that you get any bug fixes and / or improvements that I make (I don't like the thought of people using a broken version of the program).

For now, at least, you can only get the Advanced Edition of the Player by asking me for it (and by sending along a significant donation), so that gets registered automatically.

When you want to register the Basic Edition, drop me a note at the address below. Include your name, the way you would like it to appear in the program. I'll send you a registration code. Go to the Main Menu and click the "Register" button. Fill in your name spelled out the way you sent it to me, and the registration code. Review the license agreement and click the "I ACCEPT" button if you agree to the terms spelled out there. (If you don't agree, then you can't use DanceMaster.)

Contact me at:

Clark Godfrey

283 Burr Road

East Northport, NY 11731

DM@clarkandsandy.com

Important:

Registering Pacemaker:

NEXT: Getting ready to use it


Registering Pacemaker

DanceMaster Version 3 uses a program called Winamp to do the actual playing of your music and voice files. Winamp, in turn, uses a third program named Pacemaker to control the speed and pitch of the music as it is played.

Winamp is free, but Pacemaker is not. Pacemaker's developer, a man named Olli Parviainen, would appreciate it if you would send him a small donation ($9.90) in exchange for a registration code. After you have been using the program for a while, Pacemaker will start nagging you to register it.

You can make your donation (credit card, Pay Pal, check or ..?) at:

http://www.surina.net/pacemaker/register.html


New in Version 3

Karaoke Cue Cards

Improved Speed Changes

Resume Previous Session

Add Dance Button on Main Menu

Default Venue

Filter Dances by Category

Improved Button Layout on Play Screen

Skip Voice Intros

Arrow Keys Scroll Cue Card

Link to Full Cues

And even more nifty things were added in version 3.1 and in 3.2!


Added in 3.1

Added in Version 3.1:

Keyboard operation

Main Menu

<Enter> selects the Default Venue

<Enter> again loads the Select Screen

Select Screen

Number keys (0, 2-6) filter by Phase

<Ctrl>-R, <letter> filters by Rhythm

Typing performs an incremental search in the dance list

<Enter> loads the selected dance into the Play screen

Play Screen

<P> = Play / Pause

<R> = Resume

<S> = Stop

<N> = Next in Playlist

<A> = Add to Playlist

<V> = Voice Cues on / off

<I> = Voice Intros on / off

<Ctrl>-Up, <Ctrl>-Dn> = Change speed by 0.2 RPM

<Ctrl>-PgUp, <Ctrl>-PgDn = Change speed by 1 RPM

Remote control: CM19A support / multiple code sets

You can use either the serial interface MR26A or the USB interface CM19A remote control receiver, and you can pre-define up to three code sets (house code / bank switch combinations) for use with each receiver. You can easily switch between code sets if you need to do so in a hurry.

8 Comm ports for the remote control.

This makes it easier to configure your serial remote if you choose to use that one.

Allows new Venue name to be typed in the Main Menu

You still need to go to the Venues screen and add it there – just be sure to spell it the same way. But this saves time when you get to the dance and discover that you forgot to create a venue for it.

"Needs Fixing" button on Play Screen / Report of Dances Needing Fixing (in the Librarian)

When you run out of cues before you run out of music at a dance, just click this to remind yourself to do something about that when you get home.

Dances can be in more than one Category

Now the same dance can be in “New Dances”, “Romantic”, “Cue & Do”, and “Christmas” and will pop up when any of those categories are selected.

Progressive search in Categories & Rhythms on the Dance Details Screen

When entering a Category or Rhythm, just type one or two letters of its name to select it.


Added in 3.2

Added in Version 3.2:

Database file backup & restore

There is now a new button on the Main Menu that will copy your database file to the Safe Place of your choosing. You can keep multiple backups, so that if disaster strikes, you can easily "roll back" to yesterday, last week or last month. (If you use that button frequently.) (Details here.)

Dance Modules

There is now an "Export This Dance" button on the Dance Details screen. If you click that, DanceMaster will wrap the music file, the cue card, the voice file, the full cue sheet, the karaoke timing, AND the Dance Details data (plus the record & song info, if present) all into one compact file. A Dance Module.

Then you can copy that dance module to your other computer, and in the Player's Main Menu click "Import Dance Module". Select the dance you want to import, and POOF! The music is in the music files folder, the cue card, voice file, full cues, and timing files are all in the correct folders and the data is loaded into the database. In just two or three seconds your new dance is ready to play. (Details here.)

Keyboard operation

Playlist Screen

Double-clicking on a dance will load it into the Play screen, ready to play.


 Quick Start

Quick Start

Take the tutorial

A guided tour of what DanceMaster does and how to use it. The quickest way to get up to speed.

Note: If you get asked whether to save the tutorial or open it from it's current location, choose "Open".

-- or --

Forget teaching me, I just want to start using it!

(The slow way to learn DanceMaster)

1. Using your sound editor (Goldwave, Audacity, etc.) record your music and cues on the computer as MP3 files. Put your music files into C:\DanceMaster\Music Files, and your voice files into C:\DanceMaster\Voice Files.
2. Enter your cue cards. Save them in C:\DanceMaster\Cue Cards
3. (Optional) Collect whatever electronic versions of full cue sheets you have (PDF, JPG, HTML, or whatever formats they are in) and save them in C:\DanceMaster\Full Cues.
4. Open the DanceMaster Player. On the Main Menu, click the "Switch from Sample Database" button.
5. (Advanced Edition) Add some venues .
6. Click the "Add a New Dance" button on the Main Menu. Fill in the form, assign music, voice, full cue sheet and cue card files, synchronize the voice and music (details available here).
7. Add more dances using the "Add New Dance" button, then close that form to return to the Main Menu.
8. Open the Select Screen (Main Menu | Select Dances). Click the "Refresh Dance List" button to see the new dances you just entered. Click on a dance name (NOT the box in front of the name) to select it, then click Play.
9. On the Play Screen, click the yellow Adjust Cue Card button, then Set Cue Card timing. Time the cue card.
10. Close the timing window, return to the Play screen, click the green Play button to play the dance.


Before you begin...

Preparation:

 Top Previous Next

Before you can play a dance, you have to get the music and cue cards into the computer. Cue cards can be entered using a word processor or scanned in. Getting the music in is a little more difficult at first, but becomes easy with practice. You can either buy it in digital (MP3) form, or record your own. If you have more than a few records, you will almost certainly want to do your own recording.

DanceMaster expects to find all your cue card files in one directory (folder) on your computer. It is best to keep them under your DanceMaster folder in C:\DanceMaster\Cue Cards.

Similarly, all your music files should go into C:\DanceMaster\Music FIles, your voice (cues) files into C:\DanceMaster\Voice FIles, and your full cue sheets (fine prints / step cues / etc.) into C:\DanceMaster\Full Cues.

You will probably want to record the cues for at least some of your dances. One way is to record the music in "stereo" and put the music in one channel (right or left) and the voice in the other, the way it is often done with mini-disks. A better way is to record the music in one file, then record the cues in another, separate, file. (See Recording Cues.)

The first step in recording music on your computer is: Setting up your sound card:

Then we will talk about Recording the Music, Recording the Cues and of course we will go into creating Cue Cards as well.


About sound files...

About Recording Sound Files…

The first step in recording your music is to get it into the computer. Your desktop computer’s sound card should have a line input jack, and that would be the one to use (NOT the Microphone jack). Connect the line input to the line output of your music source the way you would connect a mini-disk for recording.

Many laptops don't have a line input port so you will need to use the mic input if you record directly on your laptop. It can be done, but you will probably have to be very careful about the level of the signal you put into it. It will be very easy to overdrive it and wind up with very distorted recordings. A better way to handle it would be to use an "External USB Sound Card" such one from Sound Blaster.

A lot of the older turntables we use don’t have line output jacks so you might want to use the ones labeled “Tape out”. Don’t use the speaker connections!

We have found that the best way to record cues is to put them into a separate voice file, rather than on one channel of a stereo recording. DanceMaster can synchronize the voice file with the music file, and you can even adjust the timing of the cues relative to the music when you play them back. (More on that topic here.)

There may be a significant impedance mismatch between your turntable and computer, and you will get the best results by keeping the volume of the turntable low and adjusting the input gain on the computer’s line input up high. You might have to experiment to get the best results.

Likewise, when you are playing the music back, it is best to keep the volume on the computer low and turn the gain on the amplifier up as high as necessary for comfortable listening.

Files are best recorded at 44kHz (stereo if you are recording cues in the same file, mono if not) and compressed to either 96k or 128k samples per second.

The best way to record your music is to use a sound editor such as Audacity or Gold Wave.

Here's how to do it with Audacity:


Setting up your computer for recording

Set up your sound card and Windows Mixer

The exact procedure and menu items for doing this will be slightly different for different computers and versions of Windows, but the general idea is to 1) enable recording, 2) select the correct input, and 3) set the volume control. Here are some more details:

Go to Start | Programs | Accessories | Entertainment (or Multimedia) | Volume Control - or - Right-click the speaker icon at the lower right of your screen - and open the volume control.

Click Options | Properties, and click Recording or "Adjust volume for Recording".

Line* or Mic/line* should be selected and the volume control should be up. If you leave the recording control panel open while you record, you should see the level indicator to the right of the volume slider move up and down with the sound.

*NOTE: On some computers (mine, for instance) you will need to select "Mixer" rather than "Line". You might have to experiment. Connect your music source to your computer and start it playing while you try various inputs. When you have found the right input, you will see the level indicator (if your computer happens to have one) move with the sound. You should also hear the music from the computer's speakers. Then you should un-check the other recording devices to prevent noise from those inputs.

Then you can close that window, although you might want to come back here later to adjust the input level.


Recording With Audacity

Audacity is the Open Source (free) sound editor that I prefer over either GoldWave or Adobe Audition (formerly Cool Edit). It is available from http://audacity.sourceforge.net (note: no www)

There is a brief Audacity Tutorial available in your DanceMaster\Documents folder, and more help in the Audacity manual.

Note: If you get asked whether to save the tutorial or open it from it's current location, choose "Open".

Audacity Basics:

Each recording is a “project”. Projects consist of one or more “tracks”. Each time you start recording, you will (normally) create a new track. When you have the result you want, you will “export” the track to an MP3 file.

Don’t be afraid to experiment. It is easy to make a copy of your current track to try things on. If it doesn’t work, delete the new track and make another copy of the original. Plus, you can “undo” anything you do – all the way back to the beginning.

Don’t forget that in order to export music in MP3 format, you’ll need to install the LAME encoder. It is free; you can get it from the Audacity website among other places. If you don’t see it there, “Google” for “lame encoder”. The first time you try to create an MP3, Audacity will ask you for the location of the encoder you downloaded, and will remember this location for use after that.

Set Preferences

Open Audacity. At the top of the screen, Click File | Preferences; the preferences window will open.

If the Audio I/O tab is not visible on the left, use the arrows at the upper right to scroll to it.

Make sure “Play other tracks while recording” is checked.

On the “Quality” tab: Change “Default Sample Format” to16 bit (unless you have a very fast computer and want extremely high fidelity).

On the “File Formats” tab: Click “Find Library” and specify the location you put your lame_enc.dll file into. Then set the Bit Rate to either 96 (good fidelity) or 128 (CD quality).

On the "Interface" tab, make sure "Enable Mixer Toolbar" and "Enable Meter Toolbar" are checked.

Click “OK”.

Open the Windows Volume Control

Right-click on the yellow (Windows 98/ME/2000) or gray (Windows XP) speaker icon in the lower right part of your screen (near the clock) and choose “Open volume control”.

Click Options | Properties, then Recording

Choose the correct signal source, make sure it is selected (check-marked), and set the volume slider about halfway up.

Don’t close the volume control. You’ll probably need it again. Audacity's Mixer Toolbar has volume controls too. These work in conjunction with the Windows Volume Control, so if Audacity's volume controls don't give you enough range, use the Windows Volume Control to get the signal level into the ballpark, and use Audacity's to make the fine adjustments. After the first time, you probably won't need the Windows Volume Control.

Open Audacity and Record Music

In the window near the top right corner of the screen, select the proper audio source (Microphone / Line-In)

Click the RECORD (round) button and put the needle down. (Assuming, of course, that you have already connected your turntable or other sound source to the computer.)

You should see the track appear with the audio signal being drawn on it, and the red recording level meter should be jumping around at the top of the screen. If not, then you probably have the wrong signal source selected, or the music source isn’t properly connected to the computer, or the volume control isn't set high enough.

Set the input volume control (top of the window, next to the microphone symbol) to the middle of the range, then click on the Windows Volume Control in the taskbar at the bottom of the screen to bring the volume control to the foreground. Adjust the volume slider until the loudest audio signal almost (but not quite) touches the top / bottom of the track window. The recording level meter should be approaching, but not quite touching, the right side of the scale.

Stop the recording and discard (X) the track.

Click Record to start a new track, re-start the music source (put the needle down again), and record!

When the music stops, press the STOP (square) button and zoom to view the full track <Ctrl-F>.

Choose the SELECTION tool. ( the I-beam looking button in the upper left corner of the window – just below the word “File”)

Click & drag to select the beginning of the track, zoom in to view just that <Ctrl-E>

Click and drag to select the “needle pop” and the silence before the music, press <Del> to delete it.

Adjust the volume level as necessary, perform any other desired edits. (Those are beyond the scope of this tutorial – you’ll just have to have the fun of discovering it for yourself. And it IS fun.)

To record a voice track:

Connect your microphone (and earphones, if desired). Use the input selector (to the right of Audacity's volume controls) to select the microphone input.

Click RECORD and cue to the music, using the volume control slider to adjust the volume.

Stop the recording, discard the voice track with the volume adjustments on it (X), and click RECORD again

Cue to the music. Click STOP when done.

To save the music track alone, or the music and voice as two separate files (recommended):

Select the music track by clicking in the control area to the left of the track (The track will turn dark).

Choose File | Export Selection as MP3, and save it in your DanceMaster\Music Files folder. Use the name of the song (Not the name of the dance you are going to cue to that song.). You can ignore the ID3 tags info (DanceMaster won’t use it), and click “OK”.

Select the voice track as above, Export it as MP3, naming it the name of the dance from the cue sheet (i.e. "Waltzing with M.E. Cues"), and save it in your DanceMaster\Voice FIles folder.

To save the voice and music files together as a stereo file:

Use the Time Shift Tool (the double-headed arrow) to move the voice track into alignment with the music track. (Play and adjust; repeat as necessary)

Select the music track by clicking in the control area to the left of the track (The track will turn dark). Then select the voice track too by holding the shift key as you click on the voice track control area. Both tracks will turn dark.

Click on the track name button for the top track. Choose “Make Stereo Track”.

Choose File | Export Selection as MP3, use the dance name from the cue sheet and save it in the DanceMaster\Music Files folder.

Tips:

If you get dropouts in your recorded files (especially your voice file):

· Close other programs that are running,
· zoom out to see enough time in the track window for the whole recording (3 to 4 minutes should be enough) before starting, and
· shrink the Audacity window from full-screen to something smaller.


Recording music with cues

Recording Music and Cues

I'll talk about a couple of ways to record music and cues below, but no matter which way you choose, you'll need a sound editor

The Old Way:

One way is similar to the way it is usually done with minidisks:

1. Connect your music source to the left channel of the stereo line-input of your computer, and your voice source (amplified microphone) to the right channel. This will usually mean using a cable with a 1/8" stereo phono plug on one end (the computer end) and 2 RCA plugs on the other. The Left RCA plug connects to your Music-Out jack on your turntable and the Right RCA plug connects to the Voice-out jack.
2. Play the music and speak the cues as you use your sound editor to record both into a stereo sound file. (Here's how to do that using Audacity.)
3. Compress the sound file into MP3 format
4. Attach the sound file to the dance.

This works well enough, and is the method we used for the first few years of DanceMaster. But I noticed that when we played back just the music channel of a stereo recording, it didn't sound as good as a mono recording of the same material. In fact, some music sounded pretty bad.

This probably has to do with the compression. Usually the left and right channels of a stereo music recording are very, very similar. A lot of that duplicate information can be discarded in compressing the file. In our case, however, the two channels are very different. When just one channel (the music) is played back, it is influenced by the other (voice) channel, and a certain amount of distortion results. In some cases, a lot of distortion.

Now there is a better way to do it.

The Better Way:

The best way to record cues is to put them into a separate file altogether. That is; record the music in mono (or stereo, for that matter) in one file, edit it as necessary, and save it. Then listen to that file as you record your cues into another file. DanceMaster can play the two files together, and you can even adjust the timing of the cues as you are playing them at the dance.

Advantages of this approach include:

· The result sounds better, whether you are playing it with or without cues.
· You get better control over the voice / music balance.
· You can adjust the timing of the cues after they are recorded.
· You only have to record the music once. Then you can re-record the cues as often as necessary. This can be a blessing if you are working with a difficult record (one that skips or has a lot of noise, for instance).
· You can use the same music file for multiple dances (i.e. Paper Moon II and Paper Moon IV)

Once you get the hang of it, it is actually easier than doing it the other way.

Here is how to do it:


Recording Cues (cont.)

Recording Music and Cues

The Better Way:

Here is the best way to record cues:

1. Connect your music source to the computer's line input. This will usually mean using a cable with a 1/8" phono plug on one end (the computer end) and an RCA plug on the other. The RCA plug connects to your Music-Out jack on your round dance turntable when you are recording music, and to the Voice-out jack when you are recording cues.
2. Open the sound editor in your computer and record the music; edit the file as necessary. (Here's how to do that using Audacity.)
3. Save the file. (i.e. Paper Moon.MP3)
4. (Optional) It is helpful to plug a pair of earphones into your computer's output jack at this point, so you can listen to the music, but it won't be picked up by the microphone.
5. Open a new, empty file in your sound editor. Start recording.
6. Play the music file you just recorded using Media Player, Winamp, Music Match etc. (You should be able to play it by just double-clicking the filename in Windows Explorer.) Or, if your computer's sound card supports it, you can probably use your sound editor to play the music file as you record your voice file.
7. With the music playing and the sound editor recording, speak the cues into the microphone. You will probably have to adjust the recording volume - if so, after you have it set correctly, discard this voice track and start over
8. Edit this new voice file as necessary to trim the silence from the beginning, adjust the volume, remove that sneeze, etc.
9. Save the new file (Paper Moon II Cues.MP3) in the DanceMaster Voice Files folder.

That's it for recording.

If you have the full cue sheet (step cues) available in any of the common formats, such as Word (.DOC), HTML, .PDF, etc. you should put it into the DanceMaster\Full Cues folder, so DM can display it for you when you need it in a hurry.

Now you're ready to connect all the pieces together in DanceMaster.


Encoding sound files

Encoding (compressing) sound files

We did some experiments with our round dancers, and found that they couldn't hear any difference between the original record and an MP3 file compressed at 64 kbps, using our then-current equipment (Hilton 75 and Director speaker). Since we have upgraded to higher-fi equipment, I prefer to use at least 96 kbps, and I now record new material at 128 kbps (CD quality).

You must use MP3 format (not WMA) for your voice and music files.

You can use a stand-alone encoder to convert .WAV files into .MP3, but because sound editors now include that ability, I won’t cover that here.

Next: Cue Cards.:


About cue cards...

Preparing Cue Cards

DMP can display cue cards in several different formats. It can display handwritten cards that you have scanned into a bitmap file, 5 x 7 cards formatted in Word, and long-format scrolling cards. We recommend long-format cues saved as a .RTF file. Most word processors (even Wordpad) can save files as Rich Text Format (.RTF) files.

Scrolling

The best layout to use on the laptop is to write the dance out in linear fashion – the way it is danced. That might mean Intro first, Part A, Part B, Interlude, Part A again, Part B (meas 1-8), Interlude again, Part A a third time, followed by the Tag. That usually won’t all fit on the screen at once, of course, so if you are using the Basic Edition you will have to scroll the cues as you cue, but it still makes it MUCH easier to keep your place in the dance.

You can use Microsoft Word or any other word processor that can save files in .RTF (Rich Text File) format. Remember to NOT save it as .DOC – the .RTF format is how DMP knows to treat it as a “scrolling” cue card.

Karaoke Cue Cards (Advanced Edition) Grad

One way to make it even harder to loose your place in the dance is to let DMP keep track of it for you. If you use the scrolling cue card format, DMP can automatically highlight the correct line as you cue, scrolling the cues as necessary. You can also start the music at any point in the dance by clicking on the appropriate figure in the cue card. (You will have to record the timing for each dance beforehand, however.)

For more details, See also...

Other formats - (discouraged)

Word template

When I wrote DMP, Sandy had prepared many of her cue cards in a two-column format using Microsoft Word, so of course the program supports this format. If you use Microsoft Word, DMP will support any layout you come up with, as long as it fits in a 5x7 inch space. You can even edit the file from within DMP.

Scanned

So that you (and Sandy) don’t have to go back and spend (many) days typing in all the cue cards that you already have on paper, DMP can display scanned cards, too. I would recommend scanning them at about 150 DPI, scaled to 5x7 inches. You might have to experiment to find the best settings for your particular cue cards. Be sure to save them in BITMAP (.BMP) format so DanceMaster knows what to do with them.

Color / formatting

You can use color in your cue cards to help you differentiate between parts of the dance and/or cues and hints. (Unfortunately, cue cards tend to loose their color in the current version of DM. I hope to rectify that someday.)

Next: Installation and set-up.


Winamp and Pacemaker

Winamp and Pacemaker

One of the big improvements in the Player for version 3 is the fact that we can now change the speed of the dance - smoothly - as the music is playing! You can now make adjustments on the fly without worrying that you will drop a bar or two of music. And, we now have tone controls for each dance, and for each venue.

DanceMaster depends on an external program - Winamp - to handle actually playing the music. DMP tells Winamp what to play, when and where to start and stop it, and how fast to play it, as well as what tone settings to use, but Winamp does the actual playing. Winamp, in turn, depends on another program called Pacemaker to perform the magic of changing the playback speed without changing the pitch.

Winamp is free, but Pacemaker is not - it'll cost you almost $10. I figured you'd feel that being able to change the speed of the music smoothly, without changing the pitch, would be well worth that.

Here's how to register Pacemaker.

At this point you should create your cue card and sound files. (See Creating Sound Files and Preparing Cue Cards, above if you haven't already) Then you can tell DanceMaster which ones go with each dance as you enter the information about the dance itself.

And then…

Now that you have some music files in your music files folder, some voice files in your voice files folder, and some cue cards in your cue card folder, the next step is to get the information about the dances into the database. The way to do that depends on whether you are using the DanceMaster Record Librarian to keep track of your records or not.

If you are, then this is the time to go to the Librarian program to enter the record and dance information. (See the DanceMaster Record Librarian help file)

If not, then you can use the Player’s Mini-Database Entry Screen to load just the dance information.

Next: Using DanceMaster Player


How do I...

This section of the manual will tell you how to accomplish particular tasks that you will need to perform at some point.


Switch from the Sample Database

When you are done playing and want to start entering your own data, you can go to the Main Menu and click the button labeled "Switch From Sample Database to Real Database". That will connect you to the real database, which will be empty except for a "Dummy" dance. DON'T DELETE the dummy dance until you have some of your own in there. If the database becomes empty (you delete ALL the dances), DanceMaster will get very unhappy.

If you want to switch back to the Sample Database at some point, to refresh your memory about something, click the "Files and Folders" button on the Main Menu, then "Switch to Sample Database" on the File Locations screen.

NOTE: You should exit DanceMaster and re-open it after switching databases.


Change where my files are stored

File Locations Form

Reached from: Main Menu -> Files and Folders Button

This is where you tell DanceMaster where on your computer to find various things it needs. These include the data file you want to use and the disk folders where you are keeping your sound and cue card files. It is best to leave these things in the default locations, otherwise it will make technical support more complicated than necessary. If you MUST move them for some reason, here's how.

For the purpose of this discussion we will consider a DanceMaster database to include the actual database file (DMRounds.mdb) PLUS the locations of the folders where music files, cue cards, etc. are kept.

Switch DB Form DanceMaster comes knowing about two databases: Your Database (the "real" one where you keep your dances) and the Sample Database. This screen is where you can switch easily between them as you learn how to use DanceMaster.

You might want to have more than one set of dances - for instance, you might be a Caller as well as a Cuer (or your spouse might be). In that case, you would probably want to keep your round dance music (and everything else) separate from your square dance stuff. Here is how to do that:

If you click the "Specify Folder Locations" button, you will get the Files and Folders screen.

Files & Folders

This screen shows you where DanceMaster looks for the files it needs. You can change these locations by clicking on one of the "Change..." buttons. Change Folder

Then you get a screen that lets you select another database file or folder. When you have finished your changes you can either click "OK" to make this your "Your Database" setup, or you can click "Save This Folder Configuration". In that case, you will get yet another scren that asks for the name to save this configuration as. Such as "Calling". Once you have saved an alternate database configuration, you will get a "Load a previously saved configuration" button whenever you return to this screen. I think you can figure out what to do with that.

Database file: This is the file that contains all the information about your dances. You will probably use “DMRounds.mdb” for your data, but you can name the file whatever you want (as long as it ends with “.mdb”). I can’t imagine why you would want to, but if you can think of a reason, feel free.

To switch to a different database file click on “Change Database File”. That will open the usual Windows navigation window, where you can navigate to your database file (the default is C:\DanceMaster\DMRounds.mdb”). Double-click on the file you want to use.

Cue Card folder: DanceMaster requires that all your cue cards be in one folder. To tell the program where that folder is, click “Change Cue Card Folder”. The navigation window will open to let you find your cue card folder. When you have found it, double-click on the folder.

Music File folder: As above, DanceMaster requires that all your music files be in one folder. To tell the program where that folder is, click “Change Music File Folder”. The navigation window will open to let you find your music file folder. When you have found it, double-click on the folder.

Voice File folder: As you might have guessed, all your voice files should be in one folder. This could be the same as your music folder if you want, but it will probably be more convenient to keep them separate. To tell the program where you have stashed your voice files, click “Change Voice File Folder”.

Full Cues Folder: This is where you keep the full cues (fine prints, step cues) for your dances. They can be in whatever format you want ((PDF, DOC, XLS, etc) as long as your computer has the appropriate reader (Acrobat for PDF, Word for DOC, etc.) loaded.

When you are finished, click “OK” to close the menu and cause the changes to take effect. You might have to exit DanceMaster and restart it to see the changes.


Understand Venues...

Venues and Logging In Grad (Advanced Edition)

 Top Previous Next

A “Venue” is a place that you cue. It might be a club, a class, a festival, or a special dance. When DanceMaster (Advanced Edition) logs the dances you are cueing, it also records where you are cueing them. This way, it can tell you when and where you have cued a given dance, or what dances you have cued at a particular place.

The way to tell DanceMaster where you are is to “log in” on the main menu screen. The “Select Dances” button won’t show on the Main Menu screen until you do. You can select the venue by using the arrow to the right of the window. (Typing the first letter of the venue name THEN clicking the down-arrow will move the list to or near that venue so you don't have to scroll.) Or you can use the up and down arrows on your keyboard to scroll through the list. Then select a venue and DMP will show the “Select Dances” button. If the place you are cueing is not included in the list yet, you can add it using the “Venues” form (get there by clicking on the “Lists” button).

You can choose one venue to be your 'default venue'. (Do this on the Venues form as mentioned above.) DMP will display this venue automatically on start-up, and you can select it by just pressing the <Enter> key, rather than scrolling through the list.


Set up my Categories

Categories is (are?) a way of separating dances, just as Rhythm and Phase are. If you assign dances to a category, such as "Christmas Dances", or "SD Rounds", or "Easy"/"Interesting"/"Meaty"/"Break The Floor Down" then you will have another way to quickly get at the dances you want.

Categories work independently of Rhythm and Phase, so for instance, in December you can apply the "Christmas Dances" filter, and your Select Screen will show only Christmas dances in whatever phase(s) and rhythm(s) you have selected. Or, if you are at a square dance, apply the "SD Rounds" filter, and even with "All" rhythms and "All" phases selected, your screen won't be cluttered up with inappropriate dances.

You can assign as many as four categories to a dance, so the same dance can be in the "Easy", "Christmas", "Popular" and "ROQ" categories.

Because I have no idea what categories would work for you, you get to define them. Go to the Main Menu, click "Lists", then "Categories" and add at least one category of your choosing. If you spend a little time thinking about and defining categories, DM will become even more useful.


Record music and cues

Recording sound files in your computer is not at all difficult - the second time. The first time is a little scary, but not really all that hard. You can do it. You have to:

· Prepare your computer for recording by setting up the Windows Mixer and installing a sound editor program.
· Learn how to use the sound editor.
· Record your music & cues

Then you'll save your music in DanceMaster\Music Files and your voice cues in DanceMaster\Voice Cues. When you actually enter the dance into DanceMaster, you'll use the Dance Details screen to link those sound files to the dance.


Set up a new dance

Setting Up a New Dance

One of the basic things that DanceMaster does is to tie together the various pieces that make up a dance - the Cue Card, the Music, the Voice, etc. and present them to you. It also uses information that it knows about the dance to help make it easy to choose and play dances.

As far as DanceMaster is concerned, a dance consists of a collection of information, such as the dance name, choreographer, phase, rhythms, etc, plus links to other files on the disk. These other files contain the cue card, the music and voice files, and the full cue sheet.

Those files have to be present on the disk before you can link to them in DanceMaster, so the best way to set up a new dance is to:

1. Type the cue card
2. Record the music.
3. Record the voice file
4. Put the full cue sheet in the Full Cues folder
5. Open DanceMaster and
1. Enter the dance data
2. Synchronize the voice and music files
3. Set the cue card (karaoke) timing

Don't let that list scare you - it isn't as hard as it looks, and about half of those steps are optional, besides.

Get the gory details here..


Entering a New Cue Card

By far the best format to use for cue cards is .RTF. DMP provides limited support for .DOC (Word) and .BMP (scanned) cue cards, but that is mostly to ease the transition to DanceMaster. Karaoke Cue Cards (as well as other nifty things planned for future versions) will only work with .RTF cue cards.

You can create RTF files with most word processors, and you can use those to convert existing cue card files from other formats as well.

Cue cards can be laid out in whatever format you find most comfortable (within reason). If you want to use Karaoke Cue Cards, though, there are a couple of restrictions.

· The first is that the figures must be separated with semicolons. You can use one or more semicolons per figure (i.e. NYER; CRAB WALK 2X;; SPOT TRN; CRAB WALK RLOD 2X;;), but don't use semicolons for anything else on the cue card!
· You can have one or more figures on a line, but the cue card should be laid out the way the dance will be played. If the sequence is A,A B,A then you should write out part A twice, followed by part B, followed by part A again. Fortunately, word processors make this less tedious than it might be.

Save the cue card file in the cue card folder (C:\DanceMatster\Cue Cards), then use the Dance Details screen to attach it when you are entering your dance.

See also ...


Getting the Dance Into DanceMaster

Once you have assembled all the pieces (music file and cue card, plus optional voice file and full cue sheet), it is time to actually enter the dance.

If you are using the DanceMaster Record Librarian to keep track of your records:

Open the DanceMaster Record Librarian and follow the instructions in the Librarian Help File for entering a new dance.

If you are NOT using the DanceMaster Record Librarian :

1. Open the DanceMaster Player. On the Main Menu, click "Add A New Dance".
2. On the Dance Details screen, fill in the Name, Choreographer, and other blanks. See the Dance Details Form for.. well... more details.
3. In the "Cues are..." box, select "In Voice File" if they are, or "In Left / Right Channel" if you used one channel of a stereo recording (minidisk style) (which I hope you didn't do), otherwise choose "Not Recorded". If you did record cues in a voice file, then the "Cues (Voice) Sound File" box will become available.
4. Attach the Music, Voice, Cue Card and Full Cues files as described here.
5. Synchronize the voice and music files. That is explained in Synchronizing Voice and Music Files.
6. Repeat those steps for each dance you want to add (clicking the "Add New Dance" button at the bottom of the Dance Details screen).

And you're almost done. The only remaining step is to time the cue card (synchronize it with the music) That is done on the Play screen, so you might want to do all your new dances at once, after you have entered them here. You can learn how to do that in Synchronizing Music and Cue Cards


Synchronize my cue card with the music

Synchronizing Music and Cue Cards Grad (Advanced Edition)

 Top Previous Next

How to time a dance (Karaoke Cue Cards)

Using the Select Screen, select the dance you want to time. Go to the Play Screen and click the yellow "Adjust Cue Card" button to open the adjustment controls. Then click "Set Cue Card Timing" to get to the Sync Controls. The first cue on the cue card should be highlighted in blue.

You can click " Play From Here" to get a feel for the music, then click "Re-scan Cue Card" to reset everything. Click "Sync From Here" and the music will start playing. Press the spacebar on the keyboard once each time you start to speak a cue. When you press the spacebar, DM will record the time for that cue, and move on to the next. Proceed through the dance that way, pressing the spacebar once each time a new cue is due. Click "Test" to check the result, then click "Save".

If you aren’t happy with the result, re-scan the cue card and click “Sync From Here” again. “Sync From Here” starts playing the music and recording new timing starting at the currently highlighted figure.

You select (highlight) a figure by left-clicking on it, then right-clicking on it. That should cause it to turn blue. If it doesn’t, then DM is having trouble figuring out where the cue begins and ends. Cues need to be separated by one or more semicolons (see one of the cue sheets in the sample database for an example).

"Sync From Here" will start the music and wait for you to press the spacebar. Each time you do, it will record the time and advance to the next cue. It knows that cues end with (one or more) semicolons, and it will ignore spaces before or between semicolons.

Once you have timed the dance:

· You can set the highlight wherever you want in the dance by left-clicking on a cue THEN right-clicking.
· You can press "Test (Play) From Here" to play the music from wherever the highlight is.
· Press "Sync From Here" to start the music playing at the highlight and recording new times by pressing the spacebar for each cue.
· You can use the controls in the pink box to adjust the time of the highlighted cue, or that cue and all the ones that follow it.
· You can use the controls in the blue-green box to set an offset for all the cues. If you time the dance by hitting the spacebar ON the beat, you can adjust the cues to LEAD the music by (i.e.) 1.5 seconds. Poor practice, but I think that even I could cue a dance (crudely) that way.

"Save" is an important button. If you don't use it, you will loose all the careful timing you just did.

"Re- scan Cue Card" will cause DM to re-read the cue card and scan for cue boundaries. It won't change the recorded times.

NOTE: You will need to use this button if you edit your cue card.

I'm experimenting with having DM estimate the times for cues, but I'm not sure that is going to lead anywhere.

It might take a couple of times to get used to, but timing dances is really very easy. I do suggest starting with an easy waltz, though, or something else you are very comfortable with, so you don't have to think about the cueing and you can focus on mastering this new motor skill.


Synchronize music and voice files

Synchronizing Voice and Music Files

Reached from: Main Menu -> Select Dances button, then "Dance Details"

The secret to synchronizing voice files is that for each dance, DanceMaster remembers an "offset" - a difference in starting times between the music and voice files. Either file can start first. If you record introductions for your dances, you will want the voice file to start first. If not, you will want the music to start first.

Let's assume you have recorded an introduction for this dance. We will further assume that you have already "attached" the music and voice files to the dance in the Dance Details screen.

1. Play the voice file by clicking the "Start Cues" button. The offset timer will start incrementing. At the point that you think the music should start, click the "Start Music" button. The offset timer will stop.
2. As you listen to the music and cues playing, use the "Cues EARLIER" and "Cues LATER" buttons to adjust the offset until it is correct.
3. Stop the music and cues (using the "Stop" button), and test the timing by clicking the "Start Both" button. Make any further adjustments that might be necessary, and test it again. When you are satisfied, CLICK THE "SAVE" BUTTON.

That's it.

If you don't record introductions to your dances, you will want to start the music first. Otherwise, the procedure is the same.

Once the initial offset is set here, you can adjust the timing on the Play screen, too.

I told you it was easy!


Make a Playlist

A Playlist is a list of dances that you intend to play at a particular session. You can make up a playlist in advance of a dance and save it to your disk, then retrieve it when you get to the dance and start playing. DM will let you move through the dances in your playlist in sequence by just clicking "Next In Program" on the Play screen. You can even set Auto-play on to have DanceMaster play the songs in your playlist without intervention. (You might use that to provide background music during intermission, for instance.)

There are two ways to add dances to your playlist:

1. Put a checkmark (by clicking) in the little box in front of the dance name on the Select screen. You might filter your dance list to show just phase III dances, for instance, and check off a phase III assortment, then switch to filtering for phase IV dances and check off some more.
2. On the Play screen, you can click the "Add To Playlist" button to add the currently selected dance.

Click the "Playlist" button on the left side of the screen, and the "Tonight's Program" screen will pop up, with your selected dances listed there. The red arrow on the left shows which dance DM considers to be "Next To Play".

You can rearrange the dances by clicking on one, then clicking the "Move Dance UP (or Down)" buttons. You might want to divide the program into "sections", such as pre-rounds and SD rounds, before / after intermission, etc. The "Add Mark" button will place a marker in the program just above the selected dance.

The "Save This Program" button will open a window where you can specify a name for this program file and a place (on your disk) to put it. If you choose to override the default location, be sure to remember where you put it - it will be embarrassing to not be able to find it when you get to the dance.

Print Program The Advanced Edition has a "Print This Program" button. Clicking that will give you the opportunity to, as you might expect, print the program. You can use the printed program in pre-dance publicity, or at the dance. You can also save the program to a disk file (click the "Export" button at the top left of the print preview screen). That way you can email a list of selected dances (the ones you are willing to cue) to someone who is programming a dance festival.

There is more information about the Playlist screen here.


Use Bookmarks

Bookmarks:

 Top Previous Next

Reached from: Main Menu -> Select Dances -> Play Screen

You can mark up to eight spots in each dance to be used as bookmarks. Each bookmark can be named (i.e. “Part B” or “Triple Chas”) and used as a start or stop point. Bookmarks are saved with the dance.

The bookmark control is reached using the "Bookmarks" button in the left center of the Play screen.

There are two ways to set bookmarks. In the Advanced Edition, using Karaoke Cue Cards, you can select a figure by left-clicking then right-clicking on it. Then just press one of the function keys (F1-F8) to set the corresponding bookmark. The Bookmark Form will appear, with the name of the figure pre-set as the bookmark name. You can replace it with a different name if you choose.

In either edition you can press one of the function keys (F1 – F8) as the dance is playing. The dance will pause, the Bookmarks Form will appear, and the corresponding bookmark label will turn orange. You can type a name for the bookmark and then press “Close” to get rid of the bookmark form, then press "Resume" to continue playing the dance.

If you would rather the dance didn’t pause and wait for you to enter a name, go to the Bookmarks Form and un-check the “Pause music when setting bookmarks” option.

When you set a mark, the location of that mark is saved in the database with this dance. There is no provision for removing a bookmark - there is no need to. If you don't need a particular mark any more, just ignore it, or overwrite it with one you do want. Unused bookmarks do no harm, and you can re-use the bookmark locations as often as you wish.

To use bookmarks:

The bookmark control panel has two columns of buttons: one with a green background and one with red. You tell the player to start at a particular mark by clicking the green (for “Go”) button in front of that mark. The "bookmark" labeled “Beginning” is chosen by default. Likewise, you tell it where to stop playing by clicking in the red (for “Stop") column. DanceMaster will insist that the "Start" point come before the "Stop" point. That doesn't seem unreasonable.

The column of numbers to the right of the bookmark names indicate how many seconds into the dance each bookmark is, and the one after “End” shows the total length of the song.

When you set start and stop positions in the bookmark control, the position slider (at the bottom of the Play screen) will indicate the portion of the song that is selected to play in dark blue, and the bookmark names will be shown in the windows to the left of that.

When you start a dance at a bookmark, you usually want the music to start a little ahead of the bookmarked figure, to give the dancers time to "synch up" with the music before their feet have to move. The default time that DanceMaster uses is 2 seconds. You can use the Set Bookmark Lead Time button to change that if you wish. (This change will apply to all bookmarks in all dances.) Details here.


Use the Remote Control

Using the Remote Control Grad (Advanced Edition)

 Top Previous Next

Using the X10 remote control, you can adjust the volume of the music, the cue volume (or balance, if you are using "stereo" cues), you can turn cues on or off, select a dance from your playlist, "skip" forward or back 10 seconds at a time in a dance that is playing, set or jump to a bookmark, or change the playback speed. So far. It may develop more talents as time goes on.

To use the remote control, enable it on the main menu screen and select "Control" or "Signal" mode. In control mode, when you press a button on the remote, DanceMaster performs whatever command is requested, For instance "MUSIC, UP". In Signal Only mode, instead of performing the command, DM flashes a signal to the cuer on the Play screen, such as "Music UP please". This way the cuer can get feedback from an assistant across the hall without giving up control of the Player. No more frantic waving of arms to try to get the cuer's attention!

Main Menu Remote

Each time you press a button on the remote the mode indicator should flash green. If it doesn't flash at all, the remote is not communicating with the computer. If it flashes yellow, DMP doesn't understand the code. Make sure the House Code and Bank (1-8 or 9-16) are set correctly on the remote. If they are, you will have to go to the Remote Configuration screen and teach it the code set you are using.

Most of the remote control commands need two button presses - one to set the mode, the other to specify the command. For instance: to turn the music up you will press "MUSIC", then "UP". To select the third entry in your playlist, you will press "PLAYLIST", then "3".

Some modes, including "Cues", "Music", "Speed", and "Skip" are "sticky". That means that once you press the mode key, subsequent "UP" or "DOWN" presses will continue to work in that mode.

The X10 remote works a little more slowly than we would like. When you press a button, you have to wait about two seconds before pressing another one. This is because the remote sends each command at least 5 times. (It wants to be SURE it was received, I guess.) When you press a button, the light on the remote goes on, and stays on while it is transmitting. When the light goes off, you can press another button.

The button function layout we use is shown here. You don't have to use this arrangement - you can assign any function to any button you like using the Remote Configuration screen. This is the arrangement that DMP "knows" right out of the box, and there is a template you can print and label your remote with in the DanceMaster folder on your disk (Remote Template.BMP).

· MUSIC - Sets the Music Mode. Then press Up, Down, On, Off.
· CUES - Sets Cues mode. Then press Up, Down, On, Off.
· SPEECH - (actually VOICE INTROS) Turns voice introductions on or off if Voice Cues are on. Press this, then On or Off.
· BOOKMARKS - Sets Bookmark mode. Then press a number from 1 to 8 to set a bookmark at the current place in the music that is playing. (This is not turned on in version 3.0)
· SKIP - Sets Skip mode. then press Forward or Back to jump by 10 seconds in the dance that is playing.
· PLAYLIST - Sets Playlist mode. Then press a number 1 - 0 (10) to select a dance from your playlist. Then press Play.
· SPEED - Sets Change Speed mode. Then press UP or DOWN.
· ON - Also #1
· OFF - Also #2
· PLAY - Start playing the current dance. Also #3.
· STOP - Stop playing a dance. Also #4.
· MARK - Set bookmark mode. Then press a number from 1 to 8 to set that bookmark at the current position in the dance. Also #5
· PLAY FROM BOOKMARK - Press this, then a number from 1 to 8 to start playing from that bookmark. (Must be stopped first.) Also #6.
· CONFIRM STATUS - (Not implemented yet.) Also #7.
· CANCEL - Cancel the current mode. Also #8

Remember that you must wait until the remote finishes transmitting (the light stops blinking) before you press another button. Otherwise the second button will be ignored. (Except for the blue up and down buttons at the bottom of the remote - you can just hold those down.)

NEXT: Configuring Your Remote...


Use the Hot List

Using the Hot List Grad (Advanced Edition)

 Top Previous Next

The Hot List is to help you remember to cue certain dances at certain places every so often. To "refresh" them, so the dancers don't forget how to do them. You might want to cue a dance every couple of weeks for a while after teaching it, then once a month or so, then once every few months.

You can add a dance to the hot list for the current venue by loading it into the Play screen, then clicking the hot pink "Add To Hot List" button. A window will pop up to ask you how often you want to be reminded to cue this dance here.

Hot List Entry Screen

Click on some number of weeks, or specify some number of days. Then click OK.

When you have gone that many days without playing this dance at this location, the dance will become "Due". ( If you play the dance before it is due, DanceMaster is smart enough to move the due date accordingly.)

When the time comes that you have dances due at the current venue, the "Hot List" button at the bottom of the Select screen will turn "hot pink". Clicking that button will open the Hot List screen.

Hot List No Hitches

This screen shows all the dances that are "due" at this location. From here you can do 'most anything that you might want to do with the dance - I think you can guess what the buttons do. Except maybe "Show All", which shows you all the dances in the hot list for this venue, whether they are due or not.


Turn Color Codes on or off

Using Color Codes Grad (Advanced Edition)

 Top Previous Next

DanceMaster keeps track of when you cue each dance at each venue. It can use that information to tell you which dances you are doing a lot (overdoing?), and which ones you might be neglecting.

If you have color codes turned on, the Select screen will show the dance names in different colors, determined by the number of points each dance has this week.

You turn color codes on and off using the "Color Codes" menu choice at the top of the Select Dances screen. As of this writing, there are only two modes for color codes: "Dance" and "Off". At some point, there might be a separate mode for "Class" as well. To select a mode, click on the one you want.

Color Code Menu

You can also change the colors and point ranges for each frequency category by clicking "Change Colors".

There is lots more detail about Color Codes here.


Go back to the Sample Database

If you want to switch to the Sample Database, to play with it and refresh your memory of how things work, or to follow along with the tutorial, go to the Main Menu and click "Files and Folders". The Files and Folders screen contains a "Sample Database" button. Click that, then OK. Exit DanceMaster. When you re-open the program, you will see the sample database.

To switch back, click the Switch from sample database button on the Main Menu, then exit and reload DanceMaster. That will point DM to the default real database and to the default folders for cue cards, music files, etc.


Selected Juicy Details

This section of the manual talks about some of the niftier things that DanceMaster does, including:

· Backups
· Dance Modules
· Voice (Cue) files
· Full Cue Sheets
· Color Codes Grad (Advanced Edition)
· Karaoke Cue Cards Grad (Advanced Edition)
· Remote Control Grad (Advanced Edition)


Backups

Backups are important. Very important. But you probably know that already, or you wouldn't be reading this page. If you aren't convinced, I can refer you to a few people who have recently come to understand just how important backups are.

Backing up your DanceMaster stuff used to be difficult, but it is now easy. You have no more excuses.

There are two types of things that need to be backed up in DanceMaster. One type is "things that don't change very often", such as music and cue card files. Once you have created them, they're done. These things are best backed up using a separate backup program, or by simply copying them to a CD, DVD or external disk drive.

Your database file is a different story. Whenever you use DanceMaster, your database file is updated. That includes the details of the new dance you just entered, the additional categories you just defined, and (in the Advanced Edition) what you cued tonight and where you cued it.

(Your backup should reside somewhere other than your computer, by the way - otherwise whatever happens to your computer (crash, fire, flood, theft, etc.) will happen to your backup too. That would make it Not Very Useful.)

To back up your database file:

· Click the "Backup / Restore Database File" button on your Player's Main Menu.
· Click the green "Choose Backup Disk and Folder" button. The "Save As" window appears.
· Click the down-arrow to the right of the "Save in" box.
· Choose the place to save the backup file, and change the default name if you want to.
· Click "Save".

How often should you back up your database file?

That depends on how much work you want to put into recreating it when (not if) you need to. You should certainly back it up at least once a month. You should back it up whenever you put a significant amount of work into entering new dances or correcting information such as bookmarks, timing, phase & rhythm, categories, etc. in existing dances. If you cue every week, then weekly backups would probably be best.

Rolling backups

It is usually a good idea to keep several backup files. Maybe the last four weekly backups, for instance. Sometimes the reason for restoring a backup is not because the computer crashed, but because the database file became corrupted somehow. (Rare, but it can happen.) Or, maybe you did something... well... dumb, and you'd like to undo it. Perhaps you deleted a dance that you shouldn't have, or decided after a particularly wild after-party to file all your waltzes as fox trots, or... whatever. And maybe you don't discover this folly until after you have dutifully performed your weekly backup. Rolling backups give you the opportunity to go back to one of several previous points in time and start over from there. Of course, whatever you have done (including the good things) since the point you choose to restore from will go away.

The reason that the Player includes today's date in the file name is to make rolling backups easier.

To restore a database file:

When the day eventually comes that you need to restore your database from a backup, you should:

· Click the "Backup / Restore Database File" button on your Player's Main Menu.
· Click the yellow "Choose a Previous Backup to Restore button.
· Navigate to the location where your backup files are stored.
· Double-click the file you want to restore.
· Confirm that you want this file to replace your current database file.

The Player will close. When you restart it, the restored database file will be the current one and DanceMaster will have forgotten everything that happened since that backup file was created.


Dance Modules

In DanceMaster, a dance is made up of several pieces. There are, of course, the music file, the cue card file, the voice file and the full cue sheet file, each of which lives in a separate folder on the disk. But there is also the timing file for karaoke cue cards. That lives in the cue card folder. And there is all the data that you entered on the Dance Details screen - the Phase, Rhythm, Choreographer, Plus Figures, etc. That lives inside your database file (DMRounds.mdb). Now this is all well and good as far as DanceMaster is concerned, but if you want to move a dance to another computer, it is a royal pain in the neck. If you enter new dances on your desktop computer, how do you copy them to your laptop? (Answer: Very tediously.) And unless you are very careful, you will probably either have to re-enter the data when you get them there or else loose some of your dance history.

That is why Dance Modules were invented.

A Dance Module consists of ALL the pieces of a dance rolled up into one tidy, easy-to-move file. Al the music, cues, data, timing, etc. get packaged up to make a Dance Module. DanceMaster Dance Modules (DM2) are named using the name of the dance they contain, plus an extension of ".DM2". (I.e. "Hang On Little Tomato.dm2") They are compressed, so even though they contain a lot of stuff, they aren't much bigger than the sum of the sizes of the music and voice files alone.

You can create a Dance Module from the Dance Details screen - click the "Export This Dance" button ExportDance near the bottom center of the screen. A window containing a big green "Make a Dance Export Dance Screen Module" button will pop up. If you click that button, you will be asked where you want to save your new dance module. Suggested places include the DanceMaster\Dance Modules folder, to another disk on your computer, to a USB memory stick, to another computer on your network, or wherever else you might need to put it. The suggested module name (the name of the dance) will be already filled in, but you can change it if you need to. Just don't change the ".DM2" part.

When you click "Open", DanceMaster will proceed to create the dance module, and will keep you posted on its progress. When it is done, you could click the green button again to make another copy if you really wanted to, but you'll most likely click the pink "Exit" button to close the window.

What else are Dance Modules good for?

· You can backup your dances as dance modules. So instead of backing up a collection of cue cards, a collection of music files, a folder of voice files, etc., you can have a collection of dances. And this way you will be backing up the dance data at the same time.
· When you are going to cue at a festival, you can email the dances you plan to cue to whoever is programming the affair. S/he can then put your dances, along with those of other cuers, on one laptop (running DanceMaster, of course), and you won’t have to swap laptops in and out as you step up to cue your tip. The community laptop will already have YOUR dances with YOUR cues and YOUR timing, bookmarks, and voice/music balance all set up.
· Or you can carry just your dances, not your whole computer, to the festival on a USB flash drive and load them into the host’s laptop when you get there. Now THAT'S traveling light!


Karaoke Cue Cards

Karaoke Cue Cards Grad (Advanced Edition)

 Top Previous Next

Starting with Version 3, DanceMaster Advanced Edition can help keep you from loosing your place in a dance when you get distracted by something, and it can make finding a particular spot in the music very easy.

If your Cue Cards are set up properly (See this page), and timed (See this page), then when DM loads the dance in the Play screen, the cue card background will turn yellow to signify that this is a synchronized dance. (It is a pale yellow, so you might need to adjust your monitor's brightness and contrast settings to see it. The cue card in the picture below is yellow.)

When you play the dance, one figure at a time will be highlighted in the cue card, and the highlight will move from figure to figure in time with the music. When the highlight gets about 1/4 of the way down the screen, the cue card will scroll each time it comes to a new line, so the current cue is always in about the same place on the screen. When the bottom of the cue card is in view, the screen will stop scrolling and the highlight will move on down to the end. (If you want your card to keep scrolling so the highlight stays near the top of the screen, you can add blank lines to the bottom of your cue cards.)

You can select a figure on the cue card by first left-clicking on it (that is, put the mouse cursor somewhere in the figure, then click the left mouse button), THEN right-clicking on it. The entire figure should turn blue. The "Needle" at the bottom of the screen will move to the position of that figure in the dance, and the name of the figure will appear in the "Play From" window. If you click the "Play" button, the music will start at that point. Or, if you press a bookmark key (F1 - F8), the bookmark window will open, giving you the opportunity to set a "permanent" bookmark there. You will then be able to jump to that bookmark using the remote control.

Auto Scroll button

If a dance is properly timed, the Auto Scroll button will appear on the Play screen. Clicking on the button will toggle its state, or clicking near one of the check boxes will put it into the corresponding state. If that state is "On", then there will be a "Scroll Timing" window below that. Here you can adjust the timing of the cue card with respect to the music. Clicking the "E" arrow will scroll the cues Earlier, and the "L" button will make them Later. The offset is shown in seconds and tenths.

The "Cue Sync Mode" option in the menu at the top of the screen will change the mode from "next cue" (Karaoke) mode to "current cue" mode. That is still experimental, so feel free to experiment with it if you like.


Voice (Cue) Files

The best way to have your spoken cues available is to record them in a separate MP3 file. This way:

· You only have to record the music once
· You can adjust the timing of the cues when you are playing the dance
· You have better control over the balance between music and voice, and perhaps most important;
· The music sounds better when you play it without cues.

If you record your cues in a separate file from the music, then the music doesn't loose as much quality when you compress it into MP3. And you can even record the music in stereo. When DanceMaster plays back a dance with the music in one channel and the voice in the other, it has to use a "balance control" to adjust the relative amount of voice and music. If the voice is in a separate file, DM can use two independent volume controls - one for each. And if you want to play the music only, DM simply doesn't play the voice file - it doesn't have to suppress one side of a stereo recording.

After the voice file is recorded, you have to tell DanceMaster what the timing between the files should be - how far in advance of the music the cues should happen. You can adjust this any time - even at the dance.

You can learn about recording voice files here (Audacity makes it relatively easy).

This page will tell you how to synchronize your voice files with your music files.


Remote Control

Remote Control Grad (Advanced Edition)

 Top Previous Next

AT LAST! No more running up to the computer (or depending on an assistant) to select, start and stop the music when you're teaching a dance! Now, with a shirt-pocket sized remote control you can select dances from your playlist, start and stop the music, turn the cues on and off, adjust the cue volume, the music volume, and even the dance speed. And because the remote communicates using radio waves instead of infrared light, it doesn't matter if there are dancers between you and the computer.

If you are cueing from the stage, your assistant can use the remote to flash messages ("More music, please" or "Cues down, please") on the computer screen instead of waving his or her arms from across the hall.

In order to do that, you'll need to buy two components from X-10.com. One is the model HR12A Palm Pad remote control transmitter (http://www.x10.com/products/x10_hr12a.htm) (about $20) and the other is the receiver. You'll need either the model MR26A (with a serial connection to your computer) for about $30) (http://www.x10.com/products/x10_mr26a.htm) -OR- the model CM19A (with a USB connection for about $50) (http://www.x10.com/products/x10_cm19a.htm). The CM19A is recommended, especially since your laptop probably doesn't have a serial port.

The transmitter goes with you out onto the dance floor, and the receiver plugs into a serial port on your computer. There it receives the commands you send from the remote and passes them to DanceMaster, which does whatever you're asking for.


Configuring Remote Control

Configuring the Remote Control Grad (Advanced Edition)

 Top Previous Next

Reached from: Main Menu -> Remote Control-> Configure button

This screen is where you tell DMP which receiver you have and (if the MR26A) what serial port it is connected to.

If you have the serial receiver (the MR26A) (even if you are using a Serial to USB converter):

Remote Config The first step is to tell DMP which Comm port your receiver is plugged into. If you aren't sure, try each port until you get a response when you press a button on the transmitter. Here's how: Click on any available Comm port button to open the port. If the program can't open the port, because it isn't configured in your computer or some other program has it open already, you will get an error message. (If you plugged your USB to Serial adapter in after loading DanceMaster, you can use the "Re-scan Serial Ports" button to tell DMP to look for your new serial port.) Make sure the red light on the receiver is lit. Then press a button on your remote. You should see the numbers below the Code Set box change as you press different buttons, and a green or yellow dot should appear briefly in the Remote Control box on the main menu. If not, DMP doesn't hear your remote. Select a different Comm Port and try again. The Reset Port button might help, too.

If you have the USB receiver (the CM19A):

Remote Config USB

You have it a bit easier than the serial folks. All you have to do is plug the receiver in, make sure the red light is lit, select CM19A, press a button on the remote, and confirm that you get numbers in the box on the right side of the scren when you do.

No matter which receiver you have:

Because the remote uses radio waves, it is possible for another cuer in adjacent hall to inadvertently operate your copy of DanceMaster. Fortunately, you can change the remote to use one of 30 different code sets. DanceMaster Player lets you pre-define up to three different code sets for each type of receiver, so you can switch easily if you need to.

The X10 Form button takes you to the place where you can teach DMP new codes. (Be sure you have the Receiver / Code Set combination you want to work with selected before you click that button.)

If you are likely to find yourself teaching a dance at a festival or a weekend, you might want to set up an alternate code set or two now, BEFORE you start your teach and find that someone else is controlling your computer! The next page shows you how.

Next: Setting And Learning Codes :


Setting Remote Codes

Setting Up Remote Codes Grad (Advanced Edition)

 Top Previous Next

This screen is where you teach DMP what codes you are going to use.

You can use any of 30 code sets to talk to the Player from the remote. There are 15 "House Codes" (A - P) and 2 "Banks" (1-8 and 9-12) selectable on the remote control. Each combination of House Code and Bank produces a unique set of codes. If you are the only cuer in the area using DanceMaster Player, this doesn't matter to you, but if you are likely to find yourself cueing near where someone else might be using DMP, you will want to be using a different code set so you don't operate each other's computers. (Remember that this remote can work through walls.)

To transmit using a different set of codes, use a screwdriver to select a House Code other than "A", and / or change the Bank Switch from 1-8 to 9-16 on the remote control. Then you have to teach DMP your new codes as explained below.

DMP comes knowing how to use the default code set (House Code "A", Bank 1-8). To teach it your new one, choose a code set on the previous screen (the Receiver & Serial Port Selection screen), make sure your transmitter is set as described above, then click the "Learn Codes" button on this screen. Then, for each of the 18 function buttons ( "MUSIC", "CUES", "ON", "OFF", etc.) click the button on the screen then press the corresponding button on the remote. Remember to wait until the red light on the transmitter stops blinking before you select another function on the screen.

For instance:

Click the "MUSIC" button on the screen. It will turn yellow, indicating that DMP is ready to learn that code.

Press the "Music" button on the remote. The button on the screen will turn grey again, indicating that the code was received and learned. (If it doesn't, that probably means that the computer and the remote aren't communicating. Check the serial port assignment, the remote batteries, and make sure no other program in the computer is using the same serial port.)

Repeat that process for each of the other buttons (including the blue UP and DOWN buttons at the bottom of the remote). Then click the "Done" button.


Full Cue Sheets

DanceMaster can display the Full Cue Sheet (aka Step Cues, Fine Print, etc.) for the current dance with the click of a button. This can be very handy when one of the dancers asks one of those questions during a teach!

Full Cues Button

This button appears on the Play screen when you have a Full Cue Sheet attached to the dance. Here's how to set it up:

Place the full cue sheet file in the DanceMaster\Full Cues folder. These files can be just about any of the formats you are likely to find cue sheets in, including PDF (Adobe), DOC (Word), XLS (Excel), Word Prefect, text, - whatever. The only stipulation is that you have to have the appropriate reader installed. In other words, to display PDF cue sheets, you need the Adobe Acrobat reader installed in your computer (you probably already have it). To display .DOC cue sheets, you need Microsoft Word (or something else that can read Word files) installed.

The rule of thumb is: If double-clicking on the file in Windows Explorer causes it to open, then DanceMaster can open it for you too.

Once you have the Full Cue Sheet file in the DanceMaster\Full Cues folder, open the dance in the Dance Details screen and link the Full Cues file to the dance there (in the lower left corner of the screen).

Full Cues Attach


Color Codes

Color Codes Grad (Advanced Edition)

 Top Previous Next

DanceMaster keeps track of when you cue each dance at each venue. It can use that information to tell you which dances you are doing a lot (overdoing?), and which ones you might be neglecting.

Here's how it works: each time you play a dance at the current venue, it gets "points". If you play a dance often, it accumulates a lot of points. But because it matters more that you played it 9 times last month than if you played it 9 times 5 months ago, these points "evaporate" over time. So if a dance has, for instance 500 points today, it might be down to 400 points next week and 325 the week after. (Unless, of course, you play it in the meantime, which would give it additional points.) And points are specific to each venue, so playing a dance a lot at your Tuesday night club has no effect on its points at your Thursday class.

If you have color codes turned on, the Select screen will show the dance names in different colors, determined by the number of points each dance has this week. (You turn color codes on and off using the "Color Codes" menu choice at the top of the Select Dances screen.)

Because I know darn well that you won't agree with my choices of colors, you can choose your own colors for each category (Overdone. Done Often, Medium, Seldom and Neglected). you also get to determine how many points is too many. You do that by clicking on one of the color labels (not the color) near the top of the screen. For instance, click on the word "Overdone".. On the form that opens, click one of the descriptions in the middle column. A square showing that category's current color will appear, and you can change that by moving the sliders on the left part of the screen. As you move the slider (and let go of it) that square will show the new color. When you have it adjusted to your satisfaction, click a different description.

The "Restore Default Colors" button is there in case you get frustrated.

Change the point thresholds by just typing a new number in the appropriate threshold box.

Color Code Adjustments


Voice Intros

You might like to record your cues with introductions (i.e.: “Beautiful Sunday is a phase four foxtrot with an Open Hip Twist. It begins in butterfly with a two measure wait.”) – at least Sandy does. But if you are teaching the dance, you don’t want to make the dancers stand around listening to the intro over and over each time you start the dance. It is also superfluous when you are demonstrating the dance – say at the National Convention.

That is why the PLAY screen has a "Voice Intros" button. It is an On/Off toggle button - gray when it is off, and dark green when it is on. It doesn't appear unless the voice cues are turned on. (Not much point in having intros but no cues!) If you turn intros on, you will see another little box below the button that tells you (in seconds) where the intro ends and the music begins.

Of course, DanceMaster doesn't know where that is until you tell it. Do that by playing the dance with voice cues turned on. At the end of the intro, just before the music starts, press the <F10> key on the keyboard. DM will remember from then on that this is where the intro ends..You can click in the “Offset” box and adjust the number as necessary. (You will probably have to subtract one unless your reaction time is very fast.)

From then on, you will have the option of playing the dance with or without cues, and with or without introductions.

Not only that, but Advanced Edition users can turn voice intros on and off using the remote control. Use the "Speech" button (third button in the left hand column), followed by the "On" or the "Off" button. Of course, this will only have an effect if the Voice Cues are turned on.

Such marvelous flexibility!


Using the DanceMaster Player

Using DanceMaster Player

It will take some work to get all your dance information into your computer, but once you do, you'll find it was well worth it. Here is a glimpse of some of the ways you will typically use the program once it is set up. The details will be different depending on whether you are using the Basic or Advanced Edition of DanceMaster. Things that are specific to the Advanced Edition will be shown with a graduate's mortarboard Grad.

Here is how you might use it to prepare in advance for a dance:

Grad With the Advanced Edition, you will normally start by “logging in” - choosing the location / group (venue) where you will be cueing. This will let DanceMaster provide your history with that group.

Then you will open the “Dance Menu” (Select Dances) screen to start putting together a dance program. This screen shows you a list of the dances you have available, what the “plus” and other interesting figures in each dance are and what rhythm(s) each dance is. You can click on any dance to see more details, such as choreographer, unphased figures, and your comments. Grad The Advanced Edition will also tell you when you last cued that dance at this venue, how many people there typically do this one, and whether you might be over (or under) doing it.

Using this screen, you would just browse through the list of dances, putting checkmarks next to the ones you think you might do tonight. There will be some that you know right away that you want and others that you aren't sure about. For those, you might click on the dance name then click the "Play" button to see all the details and review the cue card.

Grad You might also open the Dance Log to review what you cued there the last few times.

After you have "checkmarked" all the dances you might want to use, you would go to the Playlist screen to set up your program. It will contain a list of all the dances you selected. You will re-arrange the list into the order that you want, mixing the rhythms and phases to make a good balance, and deleting those dances that don't fit into the program after all.

After looking it over, you might decide that you need some more phase III waltzes, so you go back to the Select screen. There you would press <Ctrl-R> (for Rhythm), and W (for Waltz) and your dance menu will suddenly shows only waltzes. If you then press "3" it will show all your phase 3 waltzes. You would checkmark two or three of them and pop back to the Playlist screen to work them into your program.

Then you could put markers between tips or dance segments and save your program to disk.

At the dance:

You start by "logging in" again, then you go right to the Playlist screen and load your saved program from the disk. You select the first dance then click "Play" to open the Play screen, which is now displaying the cue card, and click "Play" again. The music starts, and you (and the dancers) are off.

When that dance ends, you can just click the "Next In Program" button and the next dance in your program will load into the player. Click "Play", and you're off again.

If someone requests a favorite dance, you can click the "Select" button, type a few letters of the dance's name, and click "Play" again. You can find and start playing any dance in your repertoire in less than 5 seconds. If that requested dance happens to be in the program you put together for tonight, DanceMaster will automaticaly mark it "Played", and skip over it when it comes to that place in the list.

Grad When you come to the break, you would put your microphone down and join the dancers at the refreshment table. After the prescribed time has expired, DanceMaster will play a few notes to call you (and the dancers) back to the floor. If you dally too long, DanceMaster will continue to gently remind you every few minutes. You would then pick up the microphone, click "Next in Program", then "Play", and the dancing would be under way again.

If you prefer, you can also use your Playlist as a "mini-menu". You would put together a short list of dances that would be good for this group. Then at the dance, you can pick and choose dances from that list on the fly.

At a class: (Not yet available)

Grad Once again, you would start by logging in. When you click "Select", the menu will highlight all the dances in this class's repertoire in green. That makes it easy to find one for them to warm up with, or to relax with after they have been working for a while.

When it is time to start the real work of the evening, You would open the dance they have been working on, turn on the voice channel in the Player, and play the dance with cues while you demo it again.

Then you might use the speed control to slow the music by a few RPM. You would have the option of making the new speed "permanent" - so DanceMaster always plays it at the new speed - but that probably isn't what you would want to do in this case, so you wouldn't save the change.

You have already set up "bookmarks" at the figures you think they will have trouble with, so you can jump right to that spot in the music and work on those first. If you see another trouble spot as they are doing the dance, you can set another bookmark there, too. Fortunately, you can label each of the bookmarks (i.e. "Part B" or "Open Reverse") so you can remember which one is which.

If you find a place where your cue card is wrong, or that different wording would make it easier for the dancers, you can just type the corrections on the spot and save the revised cue card. (Unless, of course, you're using scanned cue cards.) You won't have to try to remember to do it later.

When the class is over, you might make a note of the figures you workshopped in the class log and add tonight's teach to their dance repertoire. Or maybe not yet, depending on how well they did.


Main Menu

Venue: Grad

The Advanced Edition of DanceMaster Player keeps track of what dances you cue at each place you cue them. In order for it to do that, you have to tell it where you are when you are cueing. So before you can start selecting dances, you will have to log in by choosing a venue on this screen.

A venue is simply a place that you cue. This might be a club, a class, a festival or weekend - any distinct group of dancers that you cue for. For instance, if you taught a phase II class followed by a phase dance IV every Friday in the same hall, and cued at the annual state convention, that would represent three venues. One venue might be Beginners, the second Phase IV, and the third might be Convention.

When you aren't actually cueing for a group but want to practice, to try out some new dances, to update the database, or use the program for some other purpose, choose _Not Cueing as the venue. That way, you wont get a bunch of extra dances logged into one of your venues.

Choose a venue from the list by clicking on the down arrow to the right of the list. Then click the list that drops down. If this is your first time at this place (with the computer, at least) you can add a new venue by simply typing its name in the Venues box. Then you can fill in the rest of the Venue information at your leisure by clicking on the Lists button, then choosing Venues.

Select Dances

(This button appears after you have selected a venue. It will be where the "Please select the place we are tonight" message is).

This is the button you will use most often. It takes you to the Select Screen where you choose a dance to play, to add to the playlist, or to update.

Files and Folders

This will take you to the File Locations Screen, where you specify the name of the database file to use and the locations of your cue cards, music files and voice files. You will need this button first, but not very often.

Resume Previous Session

If DanceMaster gets interrupted or is shut down unceremoniously or even ... ummm... (crashes), you can probably pick up where you left off by using this button when you re-load the program. It should restore your venue and playlist, and even your dance log, right where you left off.

Add New Dance

This is not a major feat of technology, it is just a handy shortcut to an empty Dance Details screen, where you can start entering your dances.

Import A Dance Module

This IS a major feat of technology (in my humble opinion).

Lists

This opens a menu that will take you to any of the data forms used to enter and update various lists that DanceMaster uses. This includes things like Rhythms, Dance Categories, Venues, etc.

Reset Form Locations

If your computer screen is big enough, you can move the DMP windows around on it. DMP will remember where you left them and open them in the same place the next time you start the program (provided you close the program with the Exit button, and not the "X" in the corners of the screens. Click this button to reset all the forms to the upper left corner of the screen. If you open the program one day and the Select Dances doesn't appear to do anything, it might be that your form has become minimized. Click this button to fix that.

Remote Control Grad

DanceMaster can be operated from the dance floor by using a radio remote control transmitter and receiver from X10.com (More details here.) Putting a checkmark in the "Enabled" checkbox (by clicking on it) will cause DanceMaster to pay attention to the remote. Un-checking this box will cause the remote to be ignored.

If Remote Control is enabled, you can choose to have the remote operate the Player or merely flash messages on the screen. This is used to let an assistant advise you from the floor while you are cueing, without giving up your control over the Player. You can control how long the messages from your assistant stay on the screen by setting the number of seconds in the "Signal Flash Time" box.

The "Configure" button is used to set up the remote control (serial port, button codes, etc.). Details are here.

Pressing a button on the remote will cause an indicator to flash next to the "Control" or "Signal Only" labels. If DMP recognizes the code, the indicator will be green. If it receives a code it doesn't recognize, the indicator will be yellow. In that case you will need to click the "Configure" button, then the "X10 Form" button on the next screen. That will take you to a form where you can "teach" DMP the codes your transmitter is using. Also check to make sure that the 1-8 / 9-16 switch and house code selector on the transmitter are set correctly.

If no indicator flashes when you press a button on your remote, DMP isn't receiving the signal. Check that the receiver is plugged into the correct port and that the batteries in your transmitter are good.

Dance Logging Grad

DanceMaster logs dances differently depending on the type of place you are cueing. For a club or regular dance, it records each dance that you do, along with the time and place, rather as you might expect. For a class situation, where you would probably repeat a few dances several times, it adds the dance to the class's repertoire, but doesn't count it in calculating the dance's popularity.

When you choose a venue, the dance logging mode is set according to the way you defined the venue. These buttons let you override that default choice if you want to.

Help, Exit

About what you would expect.


Lists of things

List Menu Form

Reached from: Main Menu -> Lists.

DanceMaster uses lists of various things to help it make life easier for you. In the Basic Edition, this includes dance Rhythms and the Categories that you choose to use to… well, to categorize your dances. That might be things like Christmas, Beach Music, Romantic, Other Holidays, etc., or it might be things like Mixers, Introductory Dances, Good Teaches, and You-Can-Do-It-To-Cues. You could have a "Fanfare" category for "Happy Birthday", "Here Comes The Bride", etc.) You could have all of the above.

List Menu Grad In the Advanced Edition, additional lists include Venues (groups that you cue for), and Dances To Refresh – dances that you want to be reminded about if you forget to cue them every so often. This menu also contains a button to get to the Dance Log, to review what dances you have cued when and where.


Rhythms

Rhythms Update Form

Reached from: Main Menu -> Lists-> Rhythms Button

This form lets you update the list of rhythms that is available on the Dance Details form. (If you are using the DanceMaster Librarian, the same list is available there.) The program comes with the standard Roundalab rhythms and abbreviations already loaded, but you can add more or change them to suit your taste here.

To add a new Rhythm, click the “Add” button and type the rhythm in the new blank line at the bottom of the list. (The one with the triangle, not the one with the “*”.) Once you do add a new rhythm, the program will get upset if you don’t give it a name. You can’t even delete a new entry without typing something into the name field first.

To change an existing Rhythm or Abbreviation, just type over it. To remove one, select it by clicking on it, then press the “Delete” key on your keyboard.


Categories

Categories Update Form

Reached from: Main Menu -> Lists-> Categories Button

This form is where you update the list of categories that is available on the Dance Details form. (If you are using the DanceMaster Record Librarian, the same list is available there.) You can select dances by category on the Select Screen, making it easy to choose some Christmas dances, for instance. You might also have a "Fanfare" category with things like "Happy Birthday", a drum roll, a trumpet fanfare, "Here Comes The Bride", and other special occasion / special effects sounds.

To add a new category, type the category in the blank line at the bottom of the list. (The one with the '*'.) Then click the "OK" button. (It will appear after you start typing.) Once you do add a new category, the program will get upset if you don’t give it a name. You can’t even delete a new entry without typing something into it first, so if you change your mind about adding one, type anything into the new line, then delete it.

To change an existing category, just type over it. To remove one, select it by clicking on it, then pres the “Del” key on your keyboard. Just don't delete the last one.


Venues

Venues Update Form Grad (Advanced Edition)

 Top Previous Next

Reached from: Main Menu -> Lists-> Venues Button

A venue is a class, club, special dance – each distinct group that you cue for. It isn’t a location, because you might do different sessions (i.e. a beginner class followed by a phase III / IV class every Tuesday) at the same hall. That would represent two different venues. If you cue once a year at a festival, that is another venue.

This form is where you get to enter the information that you want to keep about each venue that you cue in / at. It is also where you tell DanceMaster what defaults to use when logging dances done at this venue.

The Type identifies what kind of a dance is done at this venue. DanceMaster doesn't make much use of this information yet, but we might come up with a use for it in the future.

Dance Logging Default specifies what kind of logging DanceMaster will assume when you "log in" to this venue. You can override this setting at that time if you want to.

· Class - Don't create a log record for dances done or tally popularity points, but do add new dances to this class's repertoire.
· Dance - Create a log record with the date, time, dancer count, and venue for each dance done here.
· None - Ignore any dances done here. You would use this setting for practice sessions, for instance.

Ask For Head Counts - If this box is checked, DanceMaster will open a small form after each dance that you cue at this venue to ask how many couples were on the floor. It will use that information to help you keep track of the popularity of a given dance.

The Group Name is... well, whatever you want to call this group.

The other fields on this form are fairly obvious except possibly Paid... On.You can jot down your last rent payment for the hall here, or even use it to note what you got paid last. These fields will be much more useful when used with the DanceMaster Datebook (If I ever get around to writing it.)

Make this the Default Venue causes DanceMaster to open with this venue pre-selected on the Main Menu. You still have to press <Enter> or double-click on it to confirm that this is where you really are, but at least you won't have to search for it. (NOTE: Please save your new venue BEFORE you use this button on it. Otherwise the Player will probably get upset and crash on you. Then YOU will be upset.)

To add a new venue, click the Add A New Venue button. You will get an empty form. Fill in the fields as appropriate and then click the "Update" button to save it.

To change information about an existing venue, just type in the appropriate fields. The corrected information will be saved automatically.

The Set Venue List Order button doesn't do much of anything at the moment.


The Dance Log

Dance Log Grad (Advanced Edition)

 Top Previous Next

Reached from: Main Menu -> Lists-> Dance Log Button

The Advanced Edition of DanceMaster Player provides the Dance Log form for looking up dance history. You can see:

· All the dances you have cued since any given date. (All)
· All the dances you have cued at a particular venue since any given date. (By Venue)
· All the dances you cued on a particular date. (By Date)
· All the times and places you cued the currently selected dance. (By Dance)

The form lists the dance name, the date, time, and location you cued it, and how many people danced it.

If you choose “By Dance” the form will show the history for the currently selected dance. If you want to see the history for a different dance, go back to the Select Screen and choose the dance of interest, then come back here. The newly selected dance’s name will be shown at the bottom of the Dance Log form.


Moving around in the player

Navigation Buttons

Reached from: Main Menu -> Select Dances

These buttons are used on the main screens to take you from place to place in the program..

NavButtons Select:

Takes you to the Select Screen, your main Dance Menu. This is where you find a particular dance to play or update, review dances of a given phase and / or rhythm, choose the dances that go into Tonight’s Program, and see what dances you are doing too often.

Play:

Invokes the Play / Preview Screen, where you can review details about the selected dance, look over the cue card, set the speed, set bookmarks, and actually play the music.

Playlist:

This is where you work with a program for a particular dance. You can re-arrange the order of the dances, remove dances from the list, add markers to separate parts of the program, and save your dance program to disk. Or load a previously saved program. This screen also shows you what dances you have done in this session.

Dance Details:

Dance Details is the mini-database form. This is where you make changes to the currently selected dance, add new dances, remove dances from the database, and attach cue card, music and voice files.

Dance Log: Grad

After you have been using the DanceMaster Player Advanced Edition for a while, you will probably come here often to review your dance history. This form will show you what dances you have cued, and when and where you cued them. You can see the history of the currently selected dance, all the dances you did on or between two dates, or all the dances you have done at a particular venue.

Class Log: Grad

This function is not implemented at this time.

Notes: Grad

This will show you notes you have made about a particular dance or venue.

Timer: Grad

You can set two pop-up timers to go off after some number of minutes. They can flash on the screen and optionally play a sound of your choosing. This can be handy for calling the dancers (and yourself) back from the refreshment table.

Lists:

This takes you to the lists menu. There you can choose one of several lists (Rhythms, Categories, Venues, etc.) to update.

Main Menu:, Help:

About what you’d expect.


Adding and editing dances

Dance Details Screen

Reached from: Main Menu -> Select Dances button, then "Dance Details"

The Dance Details screen is available in the Player so that you can enter enough information into the database file to use DMP without using the DanceMaster Record Librarian program. It can also be handy for making quick corrections to dance information, regardless of which way the database was set up.

The way to review and/or update a particular dance is to use the Select Screen to find the dance, then open this Details Screen. The selected dance will be shown.

Click on the picture below to jump to the details for each section.

Navigation Buttons:

The gaily colored buttons on the left side of the screen are used to move from screen to screen in DanceMaster, and are explained in more detail here. The yellow buttons at the bottom should be pretty self-evident except for:

Export This Dance - This will cause DanceMaster to take the music, cue card, full cue sheet, dance data (everything on this screen), voice cues, karaoke timing, bookmarks and even the Record and Song information you may have entered in the Record Librarian, and wrap them all up into a Dance Module. (What's a Dance Module?)

Sort Dance List - When you add a new dance it gets added at the end of the list of dances, and doesn't get sorted into the proper alphabetical order until the next time you open DanceMaster. If you want it sorted right now, click this button.

Entering Dances:

You start the process of entering your dances by clicking the “Add New Dance” button near the middle of the bottom of the form. Then fill in the fields as described below:

The Name of the dance should be what is on the cue sheet (not the name of the song). (Required)

The Choreographer is optional, but nice to have. Dance ID is assigned by the program.

The following fields are check boxes, which can be "checked" or "unchecked" by clicking them with the mouse or by pressing the space bar when the field is active. (You can tell when the field is active because the label on the field will appear to be recessed.)

Active - is this dance in your current repertoire? Would you be willing to cue it if asked? DMP won’t list inactive dances on the Select Screen unless you explicitly tell it to.

If you aren’t using DanceMaster Record Librarian, this field might not be terribly useful – you probably wouldn’t bother to load dances that you aren’t going to cue.

Preferred - should this dance be on the list of dances you submit to festival programmers or on Request Menus for dancers?

Classic - is this a Roundalab classic dance?

The next set of fields will make it easier to choose dances to play.

The Phase is shown in Roundalab Roman, but you can enter it using Arabic numbers if you prefer - the program will convert it for you.

Plus is, of course, the number of "Plus" figures in the dance. Neither Roundalab nor the program will let you enter a number higher than 2 here.

Unphased is the number of unphased figures in the dance. The program doesn't impose a limit here, but your dancers might.

Speed is the speed that the dance should be played at. You can adjust the speed at the time you play the dance, and DMP will remember the adjustment if you want it to, but this field is where you should put the speed recommended on the cue sheet.

The Plus 1 and Plus 2 fields may or may not appear depending on the number of plus figures you specified above. Enter the names of the plus figures here.

Rhythm 1, 2, 3 - These are choice boxes where you select the rhythm(s) of this dance. You can click the down-arrow to the right of the box to cause a list of rhythms to pop down, then scroll to the rhythm you want, or just start typing in the field. If this is a multi-rhythm dance, select rhythms in more than one box.

Category 1, 2, 3, 4 are choice fields. Here you can assign this dance to as many as four of the categories you defined when you set up the categories list in DanceMaster. As with Rhythms, you can select a category by typing a letter or two.

Other Significant Figures are figures that aren't above the rated phase but would be good to know about when selecting dances. For instance, a figure that is unusual (but allowed) in this rhythm or at this phase, or a figure that might make this dance good (or bad) for teaching.

Comments: up to 200 characters of whatever you want to say about this dance.

DMP needs to know whether you have recorded cues for this dance and if so, how you did so.

If you did it the recommended way and put your cues in a separate voice file, choose "In Cues File". If you used "stereo" cues, mark whether they are in the left or right channel, so DMP knows which way to set the balance for "music only" or for the remote control.

The next set of fields has to do with the Cue Card, Music, Voice Cues and Full Cues files for this dance. We will use the Cue Card File selection as an example.

The Cue Card File box shows the name of the Cue Card file (in the Cue Cards directory (folder) on your hard disk). If you haven’t assigned one yet, then this will be blank (I hope).

Cue Card File List

You can assign one (or change the current assignment) by clicking the ADD/Change Cue Card button. That will open a list of the files in the Cue Cards folder, with four additional buttons. Select the cue card file for this dance by clicking on it, then click the O.K. button. Or, click the “No CUE CARD For This Dance” button to remove a previous assignment. Cancel will close the window without making any changes.

The “Refresh Cue Card List” button is used to cause DMP to re-read the list of files in that folder. You might want to do that if you open this screen, discover that the file you want isn’t in the cue card file folder, open another window and move the file into the right place, and return to DMP. You would then have to click this button to see the new cue card file in the list.

The ADD/Change Voice File, ADD/Change Full Cue Sheet File and ADD/Change Music File buttons work similarly. The folder where DMP looks for these files is shown at the top of this window, and can be set from the Main Menu / Files and Folders button.

The ADD/Change Cue Card File form includes a checkbox at the bottom to keep the timing files (.SCT) in the cue card folder from cluttering up the display.

You can verify that you have the right music or voice file by clicking the Play Music File or Play Voice File button, which will cause the song or cues to start playing.

Checking or un-checking the Show Cue Cards checkbox determines whether the attached cue card is displayed in this screen. Showing cue cards makes moving around in the database a little slower. If your computer is fast enough, you might not care.

TIP: If you are using Word format (.DOC) cue cards, you should open Word in your computer before you open DanceMaster if you are going to do much moving from dance to dance. This will keep Windows from closing and then re-opening Word each time you move to another dance.

Recorded at is the speed at which the song was recorded. For instance: if a particular dance should be played at 43 RPM, you can either record it at 43, or record it at 45 and adjust the speed in DMP.

If you record it at 45, DMP can slow it down without changing the pitch, so Shaia Twain doesn't become a baritone. In either case, enter the speed at which it was actually recorded here.

Cue Card File: The name of the cue card file attached to this song is shown here.

If you double-click somewhere on the cue card shown on this screen, the program will open your word processor with the cue card file loaded for editing. You can make and save corrections there (just don't forget the save part).

Unfortunately, you can't create a new cue card from scratch this way - you can only edit existing ones. New ones have to be started from within your word processor. (See Creating Cue Cards)

Learn about synchronizing music and voice (cue) files here.


Selecting dances

Select Screen

Reached from: Main Menu -> Select Dances Button

Whenever you want to select a dance: to play, to update (with the Dance Details screen), or to add to the playlist, this is the screen to use. Click on the picture below for an explanation of some of the screen features.

Select Screen Smaller

Navigation Buttons:

These buttons are used to move from screen to screen in DanceMaster, and are explained in more detail here.

List

The main feature on the Select screen is, of course, the list of dances. The list is sorted by dance name, and will scroll up and down when you have more dances than will fit on the screen. You can select a dance by clicking on it with the mouse or by moving the highlight (the blue bar) up or down with the arrow keys You can also select a dance by typing a few letters of it’s name. When a dance is selected, its details appear on the left side of the screen.

There are several tabs on the top of the list – these determine what is shown in the right hand columns. As you might infer from the names of the tabs, you can choose to see the dance status (Active/Inactive, Preferred or not, Cued or not and # of unphased figures), the plus figures in each dance, the Cue Card or Sound File names, and in the Advanced Edition, Dance History and statistics from the dance log files. Choose one view or another by clicking on the appropriate tab.

The Dance History view is shown here. Grad Each "X" represents a week in which this dance was cued at this venue. The first (leftmost) column is last week, and the last (rightmost) column is 6 months ago. You can see the correlation between the number and location of the "X"es and the color the dance name is shown in.

In front of the name of each dance is a checkbox. If you click in a box, the corresponding dance is added to the playlist. If you un-check a box, that dance is removed from the playlist. Pressing the spacebar on your keyboard also toggles the checkmark for the currently selected dance.) If you remove a dance from the Playlist Screen, it becomes un-checked in this screen as well.

Select Dances By...

Phase

To make it easier to choose a dance, you can have the list show only the dances you are interested in. To show only dances of a particular phase, click on an option button next to the phase you want. In other words, to show only phase three dances, click the button labeled “III”. Or, simply press the ‘3’ key on the keyboard. (The red numbers below the buttons are a reminder of what key to press.) To show all phases again, click the “All” button or press the “0” (zero) key.

Rhythm

To show only dances of a particular rhythm, you can click the down-arrow beside the “Rhythm” box and choose one from the list, you can select the box by clicking it with the mouse and then type the first letter of the rhythm, or, easiest of all, do it without using the mouse at all by typing <Ctrl-R> (for Rhythm), then the letter of the rhythm you want. If you want “Two Step”, you will have to press <Ctrl-R>, “T” twice – the first will get you “Tango”. To show all rhythms again, select “All” or type <Ctrl-R>, “A” (Rhythm All).

So to choose from your phase three waltzes, you would simply type “<Ctrl-R>W3”. To shift to the phase four waltzes, just press “4”.

Category

Remember those categories you had to enter when you first started DanceMaster?

Like "Christmas", "Cue & Do", "Mixer", "New Dance", etc.? Well here is where you get to use them. You can filter your dance list based on Category in addition to Phase and Rhythm.

Name

You can select a dance by its name simply by typing a few letters of the dance name. The selection bar in the list will move to the closest match it can find to what you have typed so far. You can either continue typing until you have entered enough characters to identify the dance you want, or stop when you can see the one you want, then select it with the mouse.

For instance, typing "Ale" will probably be enough to select "Aleena", because there aren't many other songs that start with those three letters. However, if you have both "Wonderful Wonderful" and "Wonderful World of the Young", you would have to type 13 letters to get past the first one to the second. In that case, you might type "won" to get that part of the list in view, then press the down-arrow. Or click on Wonderful World Of The Young with the mouse.

Checkboxes

If you click on one of the boxes in front of a dance name, you will see a checkmark appear in the box. Clicking again will remove the checkmark. What you won't see right away is that the dance you "checkmarked" has been added to the playlist (Tonight's Program). As you might expect, un-checking a dance removes it from the playlist.

Statistics: Grad

These statistics apply to the selected dance and the venue that you are currently logged into. If you are logged in as “Not Cueing”, then statistics are not collected, because dance logging is turned off for this venue in the Venues screen.

Frequency points – A dance earns “frequency points” each time it is played. The more it is played, the more points it gathers. These points “evaporate” over time, however, so a dance that was played a lot three months ago will have fewer points than one that has been played a lot lately. This helps DanceMaster determine how often you are doing a dance, and helps you keep your dance programs balanced and avoid getting into a rut.

Average Floor Here – If you have DanceMaster set to collect head counts after each dance (on the Play Screen, Options menu), this shows you how many dancers at this location usually get up for the selected dance.

Last done here on: - The date of the last time you cued the selected dance at this location.

Menus

Tucked out of the way in the upper left of the screen are some drop-down menus that will let you control certain aspects of the Select screen’s operation.

Filter Dances

Clicking on the “Filter Dances” menu will open a little menu with four options. (Only three of them are available at the moment.) Clicking on an option will turn it on or off. A check mark in front of the option indicates that it is “on”.

The first option determines whether the list shows or filters out dances that don’t have a sound file assigned in the database. Under normal circumstances, a dance without a sound file isn’t much use to the Player, but you might sometimes want to see the whole list.

The second option is to say whether to show dances that you haven’t marked “Active” in the database. This is most useful if you are using the DanceMaster Record Librarian to keep track of ALL your records, including those that you aren’t cueing now (they might be old and out of favor, you might not like them, you might not have learned them yet, etc.). You probably don’t want your list cluttered up with dances that you aren’t going to cue, but you might want the option of viewing them to check something.

The remaining options determine whether you see only dances with synchronized (karaoke) cue cards or only dances that have voice cues recorded. This one is especially handy when you have a sudden attack of laryngitis or an urgent need to be elsewhere while you are on stage.

Color Code Grad

These options determine how the dance names are color coded (Advanced Edition only). You can choose to code them by frequency of use (Dance mode) or by In or Out of Repertoire (Class mode) or not coded at all (Off).

Refresh Dance List

If you add new dances using the Dance Details screen, those new dances won't show up in the Select screen until you click Refresh Dance List or exit and re-load DanceMaster. Clicking here is easier.

Hot List Grad

This button takes you to the Hot List screen, where you can see what dances are on the refresh list and add them to your dance program for tonight if you want to. When dances are due to be refreshed here, the button turns hot pink. Otherwise it is a dull, staid, gray.


Playing dances

Play / Preview Screen

Reached from: Main Menu -> Select Dances -> Play Button

This is where you get to see the cues for the selected dance, set the speed, set the volume and balance, and actually play the music. It is where DanceMaster really "gets down to business", and has a lot going on. We'll take it a little at a time. You can click on the picture below to jump right to a particular explanation.

Note: If you are using a scrolling cue card that doesn’t fit in the window you can scroll it by pressing the up or down arrow keys on the keyboard. This is usually easier than using the mouse...

Play Screen Annotated

Navigation Buttons:

These buttons are used to move from screen to screen in DanceMaster, and are explained in more detail here.

Dance information:

Information about this dance is shown in the upper left part of the screen. The name, phase, rhythms, choreographer, figures, etc. are shown there, and the names of the cue card and sound files, as well as any comments you entered, are shown above the cue card.

Speed:

SpeedControl You can change the playback speed of the sound file by typing a number in the speed box or by clicking on the up or down arrows to the left of the box. Or by holding the <Ctrl> key while pressing the up or down arrow on your keyboard. (Up or Down without the <Ctrl> key scrolls the cue card.) Unless it is told otherwise, DMP will assume that the song was recorded at 45 RPM and will display that as the base speed. If you change the speed, “Save” and “Don’t Save” buttons will appear on the left part of the screen. If you want DMP to remember the new speed for this dance, click “Save”. If you click “Don’t Save”, DMP will forget this new speed as soon as you load another dance.

Play buttons:

There are several gaily-colored buttons in the middle of the left side of the screen, many of which can be operated by pressing a key on the keyboard, as well as by clicking with the mouse.

Play / Stop ("P" and "S" keys)

The green PLAY button causes the current dance to start playing. If the “Start” bookmark is set, it will start there. Otherwise it will start at the beginning of the song.

The STOP button will become enabled when the song is playing or paused (i.e. when there is something to stop doing). It will reset the position slider to the beginning of the song, so the next time you press “Play” it will start over. (If you have set a “Start” bookmark it will start at the bookmark.)

Pause ("P" key)

Suspends the playing of the song. When you click on the Pause button it turns into a “Resume” button. Clicking on that will continue playing the song from the point where it was paused.

Next In Program ("N" key) (not shown above)

This will load the next un-played dance in the “Tonight’s Program” playlist into the player. It won’t advance the “Next” pointer until you actually play the dance. (See the Program Screen for more details.) The Next In Program button won’t be visible unless there are un-played dances in the playlist to be retrieved.

Bookmarks

This button will open the Bookmarks Form, so you can see the current bookmarks for this dance. This is where you set the start and stop points, too.

Add To Playlist ("A" key)

Clicking this button adds the current dance to the bottom of the “Tonight’s Program” playlist.

Add To Hotlist Grad

Clicking here will add the current dance to the list of dances that you want to be reminded to cue every so often. It will cause a form to pop up and ask you how often to review this dance here.

Adjust Cue Card

Use this button to open a menu from which you can:

· Set the timing for the Karaoke Cue Cards
· Make temporary adjustments to the font (size, bold, etc.)
· Open your editor (Word, Word Perfect, etc.) to make permanent changes to the cue card.

Auto Scroll On/Off Grad

As you might expect, this turns the Karaoke Cues on or off. Clicking 'most anywhere on this button will switch the state from On to Off or vice versa. Clicking near one of the check boxes will force it to the appropriate state. This button won't appear unless the cue card has been timed.

Technical note: When you time a cue card (say, "Milika") (using the "Adjust Cue Card" button), DanceMaster stores the timing information in a file with the same name as the dance (Milika.SCT) in the Cue Card folder. When you load a dance in the Play screen, DM looks for that SCT file. If it finds one, it turns on the Auto Scroll and Scroll Timing buttons, and changes the cue card background to light yellow.

Use the Scroll Timing Buttons to make the cues on the cue card highlight earlier or later. The "E" and "L" buttons will make the highlight earlier or later by 1/10 of a second with each click.

Voice Cues ("V" key)

If you have voice cues recorded for this dance, this button will appear. To make it obvious what state it is in, when cues are on, the button will be green, when off, it will be gray. Clicking on the button changes it's state. When voice cues are on, either a second volume control or a balance control will appear below.

If voice cues are ON, and your cues are in a separate voice file, the Voice Timing Window will appear. This is where you can adjust the timing of the cues in relation to the music. Clicking "E" or "L" will make the cues Earlier or Later by 1/10th second with each click. Or you can enter an offset directly in the timing window if you prefer. If your cues are in the left or right channel, the balance control will appear instead.

Voice Intros ("I" key)

Some folks like to record introductions to their dances ("This is a phase IV + 1 waltz, the plus figure is a..."), but you don't always want to play the introductions. (When you're teaching the dance, for instance, by the third time, they know what it is!) This button turns the introduction on or off.

You can get a few more details (like how to set them) here.

Balance control: (not shown above)

BalanceControl If you have recorded your cues in the left or right channel of a stereo sound file, and marked this dance "Cues on left" or "Cues on right", this control will appear to let you adjust the balance between the music and the voice. You can click on the line on either side of the slider to move the slider one notch. If you adjust this setting, DMP will offer to save the new setting for use next time. (It is important to tell DM which channel the cues are in - use the Dance Details screen to do that.)

If your cues are in a separate Voice File, you will see two volume controls instead of volume and balance controls.

Playback position indicator (The Needle):

PositionIndicator This slider moves as the song is playing to show you the current position in the dance. Rather like the tone arm on a turntable. And just as you can start playing a record at any point by dropping the needle, you can start playing the dance at any point by clicking on the slider and dragging it with the mouse. You can also jump ahead or back by 10 seconds by clicking on the track the slider moves in while music is playing.

If you have set Start and/or End bookmarks, the portion of the dance that will be played is shown in blue, and the names of the start and end bookmarks are shown beside the slider. In this illustration only part of the dance (part B, up to the Back Box) will be played.

Save / Don’t Save buttons:

When you make a change in the playback speed, volume or most other dance settings, the Save / Don’t Save buttons appear in the left part of the screen. Click one or the other to make them go away. Reasonably enough, if you click "Save", whatever changes you have made will be saved and reloaded the next time you load this dance. Otherwise, they will be forgotten as soon as you load another dance. You don’t have to decide right away whether to save or not, just sometime before you load the next dance.

Cue Cards:

The cue card window is actually three separate windows on top of each other. One shows graphics (.BMP) files, one shows Word documents (.DOC files), and the third shows .RTF files. The BMP window, for scanned cue cards, doesn’t do much but display the card. The Word window will display the cue card and, if you double-click on the card, will open Word with the cue card file loaded. You can then edit the card and save your changes. The RTF window is the most talented.

It will display the cue card, scrolling it automatically as the music plays. (See Karaoke Cue Cards, below). Even if Karaoke Cue Cards are turned off, pressing the down-arrow on your keyboard will cause the cue card to scroll. (If it doesn't, click in the cue card with the mouse once.)

Karaoke Cue Cards: Grad

The example in the picture above shows that we started the music at the Spin Turn and have played through the Hover Fallaway. We can tell that by the fact that the cues turn gray as they are cued, and also by the fact that Spin Turn is shown as the starting figure below the cue card. The currently playing figure is Slip Pivot to BJO (it is blue). The blue bar under the "needle" shows that we skipped the first quarter of the dance, and the needle shows that the music is about a third of the way into the dance.

For lots more details about Karaoke Cue Cards, click here.

More information is available here about BOOKMARKS and about the MENU at the top of the screen.

Next: Tonight's Program (playlist)


Menu

Play Screen Menus:

 Top Previous Next

This page describes the pull-down menus at the top of the Play screen.

Options:

Set “Mark As Played” threshold – When you play a dance, DanceMaster doesn’t necessarily consider it “Played” right away. This is because we often play a “sample” of the music as the dancers are getting up. But at some point, we want to record the fact that we have indeed played this dance both for dance logging, and for the Playlist screen.

I couldn’t decide when a dance should be considered “Played”, so you get to do it. If you click this menu option, a little form will pop up to get your answer. If you set the threshold to 999, DanceMaster will consider it played only when it has played all the way through.

Ask For Head Counts After Each Dance – In the Advanced version, when dance logging is set to “Dance” mode (as opposed to “Class” mode), DanceMaster will ask you how many people got up for this dance as soon as it has finished playing. It uses this information to help determine the dance’s popularity. If you don’t care about that, you can turn that feature off here.

Turn Voice Cues off by default - Choose whether voice cues are enabled or not when a dance is loaded.

Auto-Scroll on by default - Choose whether Karaoke Cues are enabled when you load a dance.

Use Voice Introductions - If you record introductions with your cues ("This is a Phase 3 plus 1 waltz, the plus figure is a hover. We begin in closed line of dance.") then this option can enable or disable playing them. Use the F10 key as the intro is playing to tell DM where the intro ends and the dance begins.

Tone Controls:

This opens one of two screens where you can adjust the tone controls. You can raise or lower the bass and trebble for this dance only, or for all dances done at this hall. If you choose to make adjustments for the hall, you can adjust the recorded voice cues independently (as long as your voice cues are in a separate file - not in the left or right channel).

Cue Sync Mode:

Chooses whether to use Karaoke-style or Next Cue-style synchrnization. Karaoke is recommended.

Reload Dance:

This is handy if you make changes to this dance in another screen (such as Dance Details) and DMP doesn't notice. Clicking this will cause all your changes to be shown here.


When is a song played?

Mark As Played Threshold form

Reached from: Main Menu -> Lists.

When you play a dance, DanceMaster doesn’t necessarily consider it “Played” right away. This is because we often play a “sample” of the music as the dancers are getting up. But at some point, we want to record the fact that we have indeed played this dance, both for dance logging and for the Playlist screen.

I couldn’t decide when a dance should be considered “Played”, so you get to do it. If you set the threshold too low, DanceMaster will consider a dance played when you have done just a sample of it. This won’t have a significant effect unless you decide not to do the dance after all. (It will show up in the “Dances Played” list on the Playlist form, but that won't hurt anything.) If you do play it, it will be listed twice in the “Dances Played” list. Again, no real harm done. For logging and popularity purposes, DanceMaster will ignore multiple playings of a given dance in the same night.

If you set the threshold to a number higher than the number of seconds of music in your dances, DanceMaster will consider a song played only when it has played all the way through. The downside to choosing this option is that if you happen to run out of cues before you run out of music and you end the song abruptly, DanceMaster won’t ask for a head count OR log this dance as played. But, of course, YOU wouldn't do that, so it isn't an issue.

The trick is to set the threshold beyond the point that you "sample" songs, but short of the point that you might end the dance. Somewhere between 90 and 120 seconds is probably a good place to set it. If you set it to "999", DanceMaster will never mark dances played.

A little more info is available here.


Counting noses

Head Count Form Grad

Reached from: Main Menu -> Select Dances-> Play -> Play Button. Pops up when dance is done.

This form will pop up at the end of each dance when:

· You are using the Advanced Edition, AND
· You have the dance logging mode set to Dance, AND
· You have head counts enabled.

DanceMaster uses the information you enter here to help determine the popularity of each dance. To turn it off, go to the Venue page for the current venue (Main Menu -> Lists -> Venues) and un-check Enable Head Counts.


Bookmark Lead Time

Reached from: Main Menu -> Select Dances -> Play Screen -> Bookmarks -> Set Bookmark Lead Time

You can set bookmarks in the music right at the part of the dance you are interested in, but when you play from a bookmark you will want to start the music a few seconds in advance of the bookmark, to give the dancers time to “synch up” with the music before the figure of interest happens. This screen is where you set the number of seconds before the bookmark that DanceMaster starts playing.


The Break Timer

Break Timer:

 Top Previous Next

Reached from: Main Menu -> Select Dances ->Timer Button

DanceMaster includes a pop-up timer that you can use for timing breaks and/or to help keep the dance moving along. Or anything else that you need a timer with one-second resolution for. It has two modes – automatic and manual.

If automatic mode is enabled, it will pop up one minute after the end of a dance (if another dance hasn’t started playing by then) and it will tell you how long the dancers have been standing around. After the “alarm time” (default = 15 minutes) has expired, the timer will play a sound to call the dancers (and you) back from the refreshment table. It will play a (different) reminder sound every (default = 5) minutes after that.

IMPORTANT SAFETY TIP: You probably don’t want to use automatic mode at a square dance. Otherwise the caller is likely to get annoyed about those alarm sounds that keep playing in the middle of his tips.

If you click the “Start” button, the timer will start operating right away (manual mode) without waiting for a song to end. This will override automatic operation.

Close stops the timer, resets the alarm, and makes the timer window go away.

The timer form has two sizes: compact - for normal operation, and full - for changing the alarm settings. In compact mode, only the time display and the “Close”, Start, “Help” and “Show Details” buttons are shown. Clicking “Show Details” will open the form to reveal the other controls.

Automatic mode: Enable / Disable: As you might expect, this enables or disables automatic operation. If disabled, the timer will not pop up after a dance. It will still work in manual mode, however.

Alarm: The text box sets the time period, the “Play sound” checkbox determines whether DanceMaster will play a sound when the alarm time is up. The filename below the “Play Sound” checkbox is the name of the sound file that will be played. If you want to change the sound, click the “Select Sound” button to choose another. You can test the new sound with the “Play Sound” button.

Reminder: As with the alarm, the text box sets the time period. However, the reminder is different in that it will fire over and over, every X minutes, once the alarm has triggered. In other words, if the alarm is set for 10 minutes and the reminder for 2 minutes, the alarm sound will play 10 minutes after the end of the last dance, then the reminder sound will play every two minutes after that. The “Play sound” checkbox determines whether DanceMaster will play a sound when the reminder time is up, but the reminder probably isn’t very useful without it. The filename below the “Play Sound” checkbox is the name of the sound file that will be played. If you want to change the sound, click the “Select Sound” button to choose another. A bunch of alarm sounds are located in the "Alarm Sounds" folder (clever, eh?) under your DanceMaster folder. Or you can substitute any WAV or MP3 file you choose. You can test the new sound with the “Play Sound” button.

If your WAV sound doesn't play but an MP3 sound does, your Winamp is probably not configured to play WAV files. You may need to download and install Winamp "Full" (not the $20 PRO version). You can get the PRO version if you choose, but it isn't necessary.


Tonight's Program (the Playlist)

Playlist (Tonight’s Program) Screen

Reached from: Main Menu -> Select Dances-> Playlist Button

The Program Screen shows the playlist of dances that you plan to do in a session. As you browse through your menu of dances on the Select Screen you add the ones that you want to cue to this list by clicking the checkbox to the left of the dance name. Then you can open this screen to review the list and arrange the dances into the order you want. You can add “markers” to separate tips or dance segments, you can save the program to disk or load a previously saved one.

Operation:

In order to do something with a dance in this list, you must first select it by clicking on the dance name. The dance’s background will turn blue, as illustrated above. “Maple Leaf Rag” is the selected dance – if the Move Down button were clicked, Maple Leaf Rag would trade places with Misty Moonlight.

Clicking on the Move UP button will move the selected dance up one position in the list. As you might expect, clicking Move Down will move it down and clicking Remove Dance will remove it from the list (Not from the database!).

The Add Mark button will insert a “marker line” in the list just above the selected dance. You can use these markers to delineate breaks in the program. In the illustration above, the first 9 dances are planned for pre-rounds and the rest are programmed for 2x2s.

The checkmarks in the first column of the table indicate that these dances have already been played. If you play a dance out of sequence, even if you choose it from the Select screen, it will be checked off here and skipped by the “Next” pointer. If you want to remove one or all of the checkmarks, click one of the blue buttons.

The red arrow in the first column signifies the dance that will be loaded by the “Next In Program” button on the Preview / Play screen. The “Next Dance” will normally be the top un-played dance in the list, but you can tell DMP to start somewhere else by selecting the dance then clicking the “Make Next To Play” button. The program will then start retrieving dances from that point in the list. When it gets to the bottom of the list, the “Next” marker will go to the top un-played dance in the list.

NOTE: If you select a dance in the list (by clicking on it’s name), then click the “Play” button, the selected dance will be loaded and made ready to play. The “Next” pointer will not move.

In the figure above, we can see that this is a program for a square dance with pre-rounds. The dances were played according to the program up until 7:48PM, when "Spinning Wheel" was substituted for "Sweeter Than You". Another request ("Today") was slipped in in place of "Washington Square". We are now ready to start the first between-squares tip with "B-B-B-Burnin'".

Clicking Auto Play will put the player into automatic mode - once you start a dance playing, DanceMaster will play each song in the playlist without stopping. You might find that handy if you are cueing a dance marathon or supplying background music during a break.

You can save this list, breaks and all, to disk by clicking the Save This Program button. A window will open to get the name and location to store this list.

Of course, you can load a previously saved program with the Load A Saved Program button.

Print This Program is handy for generating dance lists to post around the hall at a pre-programmed dance, and it is also useful for submitting a list of dances you would like to cue to a festival programmer. You can either print the list on paper or save it to a file for emailing.


DanceMaster Player Features

 Top

Features:

Remote Control: Grad

Now you can not only select, start and stop the music from the dance floor, you can also adjust the music and voice volume, change the speed, set and play from bookmarks, and step through your playlist, all with a shirt-pocket sized remote control. And DMP doesn't care if there are dancers between you and the computer, because it uses radio waves, not infrared light, to communicate.

Cues and music in separate files:

You can record your music just once, edit the file to get it just right, then record your cues in a separate file, editing or re-recording that file as often as necessary. DMP can play the two files together, and you can adjust the timing of the cues relative to the music when you play them back. This method also sounds better, and gives you better control over the music / voice balance, than the stereo (cues-on-left, music-on-right) method.

Dance Logging: Grad

Whenever you cue a dance, the Advanced edition makes a note what dance it is, what group you are cueing for and how many people got up to dance it. Using that information, DanceMaster Advanced can tell you things like "What did I cue here last time?" or "When was the last time I cued this dance here?" (or anywhere, for that mater) or "What did I cue on February 17th.?” It can tell you what dances you are doing A LOT, and which ones you are neglecting. If you configure it to do so, it will be able to rate dances by popularity.

Speed:

You can set the speed at which to play each sound file at any time, and DMP will (optionally) remember and play that dance at that speed every time. You can even change the speed while it is playing, and teh music will gradually speed up or slow down so the dancers won't notice it changing. (Details)

Bookmarks:

You can mark up to eight places in each dance and tell the player to start or stop at any of them. This lets you play just one or another part of a dance (over and over, if necessary) for teaching it. You can set the bookmarks in advance of the teach and save them, or you can mark spots on the fly if you see a need for review as they are dancing. When you tell DMP to start playing at a bookmark, it will actually start a few seconds in advance of the mark so the dancers can “synch up” with the music. (Details)

Cue Cards:

DMP can display cue cards in any of three formats.

· As a .RTF file, created with a word processor. (Preferred) This format lets you write the cues in long form (write each part out as you will cue it so you don't have to jump around on the cue card) and scroll it as necessary. DMP Advanced Edition will automatically scroll the card as the music plays.
· As a Microsoft Word file (.DOC) in 5x7 card form
· As a scanned image (.BMP) of a hand-written cue card.

Programs:

As you browse through the Select Screen you can add dances to “Tonight’s Program”. This is a list of dances that you intend to play at a particular session. You can re-arrange the dances in the list or remove them altogether, and when you are satisfied with it you can save the list and re-load it another time. The Player Screen has a button to bring up the “Next Dance” from the list, and as you play each dance it is crossed off the program. (Details)

Next: Using the DanceMaster Player


Use Synchronized Cue Cards (Karaoke)

 Top

Type topic text here.


What It Does - Advanced

What else it does Grad

Top

The Advanced Edition of the DanceMaster Player adds a few nifty features to the basic bag of tricks. These include:

Remote Control:

You can (after purchasing about $50 worth of optional hardware) select dances, start and stop the music, adjust the volume and music / cues balance, change the speed and more - all from the dance floor. And DanceMaster doesn't care if there are dancers between you and the computer because it uses radio, not infrared, signals to communicate.

Scrolling Cue Cards:

You can have DanceMaster Advanced keep track of your place in long or complicated dances - it will scroll the cue card and highlight your next cues for you. Better yet, you can make the music start at any point in a dance by clicking on that cue in the cue card. You can easily set bookmarks that way too.

Dance Logging:

Each time you cue a dance, DanceMaster makes a note of when and where it was cued, and how many people danced it. That means that it can then tell you :

· When you last cued a given dance for a particular group.
· When and where you have ever cued a given dance.
· What dances you are doing a lot (overdoing?) or neglecting at each place.
· What dances you have ever cued for any group
· What dances you did on a particular night.
· How many people typically get up for a given dance at a given place.

Reminders:

You can also tell DanceMaster Advanced to remind you if you forget to review certain dances every so often (so your dancers don't forget how to do them).

Alarm:

DanceMaster Advanced includes a timer that you can use to time refreshment breaks and keep the dance flowing.

NEXT: Why two versions?